<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use yii\helpers\Url;
use yii\helpers\ArrayHelper;
use yii\helpers\Json;
use backend\modules\master\models\Customer;
use backend\modules\master\models\LeadExecutive;
use backend\modules\users\models\ReceiptDetails;
use backend\modules\master\models\Product;
use backend\modules\users\models\SaleOrder;

use backend\modules\master\models\SalesTemplates;
use backend\modules\master\models\GenericTemplate;
use backend\models\AuthAssignment;
use backend\models\AuthItemChild;

$id = Yii::$app->user->identity->id;
$assign = AuthAssignment::find()->where(['user_id'=>$id])->one();

$settingtypes = GenericTemplate::find()->where(['template_for'=>'Invoice'])->all();
$invsettinglist=ArrayHelper::map($settingtypes, 'gt_id', 'template_name');
/* @var $this yii\web\View */
/* @var $searchModel backend\modules\users\models\InvoiceSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Invoices';
$this->params['breadcrumbs'][] = $this->title;
?>
<style>
.select2-container .select2-selection--single {
    height: 42px !important;
}
.select2-container--default .select2-selection--single .select2-selection__rendered
{
    line-height: 39px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow
{
    height: 39px;
}
.add_product .select2-selection__rendered {
    width: 220px !important;
}
th a{
    color:#495057;
}
th a:hover{
    color:#495057;
}
body{
    font-family:Arial, Helvetica, sans-serif;
    font-size:13px;
}
.form-control {
    transition: all .2s;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 13px;
}
.pagination li.active a {
    z-index: 1;
    color: #fff;
    background-color: #16aaff;
    border-color: #16aaff;
}
</style>

<?php if (Yii::$app->session->hasFlash('success')) {?>
    <div class="alert alert-success" style="background-color:#dff0d8 !important; text-align:center">
        <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>
          <strong style="color:#3c763d"><?=Yii::$app->session->getFlash('success');?></strong>
    </div>
<?php }?>
<?php if (Yii::$app->session->hasFlash('error')): ?>
<div class="alert alert-danger alert-dismissable" style="text-align:center">
     <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>
     <?= Yii::$app->session->getFlash('error') ?>
</div>
<?php endif; ?>
<div class="app-main__inner">
                <div class="card no-shadow bg-transparent no-border rm-borders mb-3">
                            <div class="card">
                                <div class="no-gutters row">
                                    <div class="col-md-12 col-lg-12">
                                        <ul class="list-group list-group-flush">
                                            <li class="bg-transparent list-group-item">
                                                <div class="widget-content p-0">
                                                    <div class="widget-content-outer">
                                                        <div class="widget-content-wrapper">
                                                            <div class="widget-content-left">
                                                                <div class="widget-numbers dj-text-success">Invoice</div>
                                                            </div>
                                                            <div class="widget-content-right">
                                                              <a href="#" class="dj-danger-btn"><i class="fa fa-download"></i> Import Invoice</a>
                                                              <?php if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/invoice/create'])->one()!=''){?>
                                                                <a href="create" class="dj-danger-btn"><i class="fa fa-plus-circle" aria-hidden="true"></i> Add Invoice</a>
                                                               <?php }else {?>

                                                               <?php } ?>
                                                                 
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>
                                          
                                        </ul>
                                    </div>
                                   
                                    
                                </div>
                            </div>
                        </div>
                        <div class="main-card mb-3 card">
                           <div class="card-body">
                           <?php $form = ActiveForm::begin(['method' => 'get']); ?>
                           <div class="row dj-adv-search-row">
                           <div class="col-md-6">
                               <div class="position-relative form-group">
                                  <?= $form->field($model, 'invoice_search')->textInput(['maxlength' => true,'class'=>"form-control floating",'placeholder'=>"Invoice Id",'id'=>"id_invoice"])->label(false) ?>
                              </div>
                            </div>
                            <div class="col-md-2">
                                <?= Html::submitButton('<span class="fa fa-search"></span> Search', ['class' => 'search_field_buttons']) ?>
                            </div>
                            <?php ActiveForm::end(); ?>
                            <div class="col-md-3">
                            
                            <!-- <a id="advance-search" class="btn btn-rounded dj-adv-search" data-toggle="collapse" href="#search-invoice" role="button" aria-expanded="false" aria-controls="search-invoice">Advance Search <i class="fa fa-chevron-down" aria-hidden="true"></i></a> -->
                            <a id="advance-search" class="search_field_buttons" data-toggle="collapse" href="#search-look" role="button" aria-expanded="false" aria-controls="search-look" type="button">Advance Search <i class="fa fa-chevron-down" aria-hidden="true"></i></a>
                            </div>
                            <div class="col-md-1">
                            <a  class="search_field_buttons"  href="<?=Url::base().'/users/invoice/index'?>" role="button" aria-expanded="false" aria-controls="search-look" type="button" title='Refresh Page'> <i class="fa fa-refresh" aria-hidden="true"></i></a>
                            </div>

                           </div>
                           
                           <div class="dj-sale-form collapse" id="search-invoice">
                            <?php $form = ActiveForm::begin(['method' => 'get']); ?>
                                    <form>
                                        <div class="form-row">
                                        
                                        <div class="col-md-3">
                                                <div class="position-relative form-group">
                                                    <label for="notes">From</label>
                                                    <?= $form->field($model, 'from_date')->textInput(['type'=>"date",'class'=>"form-control "])->label(false) ?>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="position-relative form-group">
                                                    <label for="notes">To</label>
                                                   <?= $form->field($model, 'to_date')->textInput(['type'=>"date",'class'=>"form-control tcal"])->label(false) ?>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="position-relative form-group">
                                                    <label for="date">Customer/Receiver</label>
                                                     <?php if($model->customer!=''){?>

                                                    <?php $customer=Customer::find()->where(['id'=>$model->customer])->one()?>
                                                   <?=$form->field($model, 'customer')->dropDownList([$model->customer=>$customer->business_name], ['options' => [$model->customer => ['Selected'=>'selected']],'prompt' => '--Select--', 'class' => "customer form-control", 'maxlength' => true])->label(false)?>

                                                   <?php }else {?>
                                                              
                                                    <?= $form->field($model, 'customer') ->dropDownList([],['prompt'=>'Select Customer','class' => "form-control customer"])->label(false)?>           
                                                   <?php } ?>

                                                </div>
                                                
                                            </div>
                                            <div class="col-md-3">
                                                <div class="position-relative form-group">
                                                    <label for="date">Setting Type</label>
                                                     <?= $form->field($model, 'setting')->dropDownList($invsettinglist,['class' => "setting form-control",'prompt'=>'--select--'])->label(false) ?>
                                                </div>
                                                
                                            </div>
                                            <!-- <div class="col-md-3">
                                                <div class="position-relative form-group">
                                                    <label for="date">Invoice Type</label>
                                                     <select class="multiselect-dropdown form-control">
                                                        <option value="4">Select a Type</option>
                                                        <option value="0">CREDIT</option>
                                                        <option value="1">CASH</option>
                                                        <option value="2">CARD</option>
                                                        <option value="3">SAMPLE</option>
                                                    </select>
                                                </div>
                                                
                                            </div> -->
                                                <div class="col-md-3">
                                                <div class="position-relative form-group">
                                                    <label for="date">Shipment</label>
                                                     <?= $form->field($model, 'shipment')->dropDownList(['DELIVERED'=>'DELIVERED', 'PARTIAL'=>'PARTIAL','NOT DELIVERED'=>'NOT DELIVERED'],['prompt'=>'--Select--','class' => "shipment form-control"])->label(false) ?>
                                                </div>
                                                
                                            </div>
                                            <div class="col-md-3">
                                                <div class="position-relative form-group">
                                                    <label for="date">Executives</label>
                                                     <?= $form->field($model, 'executives_name') ->dropDownList(ArrayHelper::map(LeadExecutive::find()->select(['name','id'])
                                                        ->orderBy('name')
                                                        ->asArray ()
                                                        ->all (),'name','name'),['prompt'=>'Select Executive','class' => "executives_name form-control ",])->label(false)?>
                                                </div>
                                                
                                            </div>
                                            <div class="col-md-3">
                                                <div class="position-relative form-group">
                                                    <label for="notes">Total Amount</label>
                                                   <?= $form->field($model, 'total_amount')->textInput(['maxlength' => true,'type'=>'number','min'=>1,'onkeypress'=>"return (event.charCode == 8 || event.charCode == 0) ? null : event.charCode >= 48 && event.charCode <= 57"])->label(false) ?>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="position-relative form-group add_product">
                                                    <label for="date">Product</label>
                                                     <?php if($model->find_product!=''){?>

                                                    <?php $product=Product::find()->where(['id'=>$model->find_product])->one()?>
                                                   <?=$form->field($model, 'find_product')->dropDownList([$model->find_product=>$product->product_name], ['options' => [$model->find_product => ['Selected'=>'selected']],'prompt' => '--Select--', 'class' => "find_product form-control", 'maxlength' => true])->label(false)?>

                                                   <?php }else {?>
                                                              
                                                    <?=$form->field($model, 'find_product')->dropDownList([], ['prompt' => '--Select--', 'class' => "find_product form-control", 'maxlength' => true])->label(false)?>             
                                                   <?php } ?>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="position-relative form-group">
                                                    <label for="date">Bill Type</label>
                                                     <?= $form->field($model, 'bill_type')->dropDownList($sales_types,['prompt'=>'--Select--','class' => "bill_type form-control",'maxlength' => true])->label(false) ?>
                                                </div>
                                                
                                            </div>
                                            <div class="col-md-3">
                                                <div class="position-relative form-group">
                                                    <label for="date">Supply Type</label>
                                                     <?= $form->field($model, 'search_supply')->dropDownList($supply_types,['prompt'=>'--Select--','class' => "search_supply form-control",'maxlength' => true])->label(false) ?>
                                                </div>
                                                
                                            </div>
                                            <div class="col-md-3">
                                                <div class="position-relative form-group">
                                                    <label for="notes">PO Number</label>
                                                   <?= $form->field($model, 'po_no')->textInput(['maxlength' => true])->label(false) ?>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="position-relative form-group">
                                                    <label for="notes">PO Date</label>
                                                   <?= $form->field($model, 'po_searchdate')->textInput(['type'=>"date",'class'=>"form-control"])->label(false) ?>
                                                </div>
                                            </div>
					     <div class="col-md-3">
                                                <div class="position-relative form-group">
                                                    <label for="notes">Sale Number</label>
                                                   <?= $form->field($model, 'so_number')->textInput(['maxlength' => true])->label(false) ?>
                                                </div>
                                            </div>
                                            <div class="col-md-12 dj-btn-align" style="padding-top: 5px">
                                            <?= Html::submitButton('<span class="fa fa-search"></span> Search', ['class' => 'btn btn-info btn-rounded dj-search','style'=>"padding: 9px 21px"]) ?>
                                            </div>
                                        </div>
                                      </form>
                                      <?php ActiveForm::end(); ?>
                                      </div>  
                                    
                                </div>
                        </div>
                          <div class="main-card mb-3 card">
                        <div class="card-body">
                        <div class="row">

                            <div class="col-sm-6">
                                <div class="djsec-text-left dj-print-sec">
                                    <?php if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/invoice/delete'])->one()!=''){?>
                                    <button id='bulkdelete' class='mb-2 mr-2 btn-icon btn btn-danger '><i class="fa fa-trash"></i> Delete</button>
                                   <?php }else {?>

                                   <?php } ?>
                                               
                               </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="djsec-text-right dj-print-sec">
                                       

                                       <?php if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/invoice/excel-export'])->one()!=''){?>
                                        	    <?php if(Yii::$app->request->getQueryParams()){?>
                                                       <a href="<?=Url::current()?>&totalexcel=true" data-method="post">  <button class="mb-2 mr-2 btn-icon btn  btn-info"><i class="fa fa-file-excel-o" aria-hidden="true"></i>Details Excel</button></a>
                                                       <a href="<?=Url::current()?>&excel=true" data-method="post">  <button class="mb-2 mr-2 btn-icon btn  btn-info"><i class="fa fa-file-excel-o" aria-hidden="true"></i>Excel</button></a>
                                                    <?php } else{ ?>
                                                       <a href="<?=Url::current()?>?totalexcel=true" data-method="post">  <button class="mb-2 mr-2 btn-icon btn  btn-info"><i class="fa fa-file-excel-o" aria-hidden="true"></i>Details Excel</button></a>
                                                       <a href="<?=Url::current()?>?excel=true" data-method="post">  <button class="mb-2 mr-2 btn-icon btn  btn-info"><i class="fa fa-file-excel-o" aria-hidden="true"></i>Excel</button></a>
                                                    <?php } ?>
                                       <?php }else {?>

                                       <?php } ?>

                                       <?php if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/invoice/invoice-pdf'])->one()!=''){?>
                                       	     <?php if(Yii::$app->request->getQueryParams()){?>
                                                <a href="<?=Url::current()?>&print=true" data-method="post" target='_blank'>  <button class="mb-2 mr-2 btn-icon btn  btn-info"><i class="fa fa-print"></i>Print</button></a>         
                                             <?php } else{ ?>
                                                <a href="<?=Url::current()?>?print=true" data-method="post" target='_blank'>  <button class="mb-2 mr-2 btn-icon btn  btn-info"><i class="fa fa-print"></i>Print</button></a>
                                             <?php } ?>
                                       <?php }else {?>

                                       <?php } ?>
                                        
                                </div>
                            </div>
                        
                             </div>


                             <?= GridView::widget([
                            'dataProvider' => $dataProvider,
                            // 'filterModel' => $searchModel,
                             "id" => "grid",
                            'columns' => [
                                 ['class' => 'yii\grid\CheckboxColumn'],
                                 ['class' => 'yii\grid\SerialColumn',
                                     
                                     'headerOptions' => ['style' => 'color:#495057'],
                                      'contentOptions'=>[ 'style'=>'width: 15px'],],
                                'invoice_id',
                                [

                                    'label' => 'Customer Name',
                                    'contentOptions'=>[ 'style'=>'font-weight:bold'],
                                    'attribute' => 'customer_name',
                                    'value' => function ($data) {
                                         $name = Customer::find()->where(['id'=>$data->customer_name])->one();
                                         if(!empty ($name->business_name) )return $name->business_name;
                                       
                                },
                                ],
                                
                                [
                                    'label' => 'Date',
                                    'attribute' => 'date',
                                    'value' => function ($data) {
                                         return date('F j Y', strtotime($data->date));
                                        // $newDate = date("d-m-Y", strtotime($data['date']));
                                        // return $newDate;
                                },
                                ],
                                [
                                    'contentOptions'=>[ 'style'=>'text-align:right'],

                                    'label' => 'Total Price',
                                    'attribute' => 'total_price',
                                    'value' => function ($data) {
                                        $num = preg_replace("/(\d+?)(?=(\d\d)+(\d)(?!\d))(\.\d+)?/i", "$1,", $data->total_price);
                                            return $num; 
                                        
                                },
                                ],
                                
                                //'executive',
                              
                                [
                                    'label' => 'Paid',
                                    'contentOptions'=>[ 'style'=>'text-align:right'],
                                    'value' => function ($data) {
                                        $receipt = ReceiptDetails::find()->where(['invoice_no'=>$data->invoice_id])->all();
                                        $total = 0;
                                        foreach ($receipt as $key => $value) {
                                              $total = $total + $value->amount;
                                        }
                                       $total = $data->total_price-($data->pending_amount-$data->tds_amount);
					//$total = $data->total_price-($data->pending_amount);
                                        $finalamount = number_format((float)$total, 2, '.', '');
                                             $num = preg_replace("/(\d+?)(?=(\d\d)+(\d)(?!\d))(\.\d+)?/i", "$1,", $finalamount);
                                            return $num;  
                                },
                                ],
                                [
                                    'label' => 'Pending',
                                    'contentOptions'=>[ 'style'=>'text-align:right'],
                                    'value' => function ($data) {
                                        $receipt = ReceiptDetails::find()->where(['invoice_no'=>$data->invoice_id])->all();
                                        $total = 0;
                                        foreach ($receipt as $key => $value) {
                                              $total = $total + $value->amount;
                                        }
                                        $total = $data->pending_amount-$data->tds_amount;
                                        // $total = $data->total_price-$total;
                                       $famount = number_format((float)$total, 2, '.', '');
                                             $num = preg_replace("/(\d+?)(?=(\d\d)+(\d)(?!\d))(\.\d+)?/i", "$1,", $famount);
                                            return $num;  
                                },
                                ],
                               
                                 //'shipment_status',
                                 [

                                    'label' => ' Shipment Status',
                                    'format'=>'raw',
                                    // 'attribute' => 'shipment_status',
                                    'value' => function ($data) {
                                        $so = SaleOrder::find()->where(['id'=>$data->sale_order_id])->one();
                                        if($so)
                                        {
                                            if($so->dc_status==0)
                                            {
                                                return '<span class="label-draft">NOT DELIVERED</span>';
                                            }
                                            elseif($so->dc_status==3)
                                            {
                                                return '<span class="label-partial">PARTIAL</span>';
                                            }
                                            elseif ($so->dc_status==1 || $so->dc_status==2){
                                                return '<span class="label-paid">DELIVERED</span>';
                                            }
                                        }
                                        else
                                        {
                                            return '<span class="label-draft">NOT DELIVERED</span>';
                                        }
                                        
                                },
                                 ],
                                 [

                                    'label' => 'Status',
                                    // 'contentOptions'=>function ($data) {
                                    // return [ 'style'=>'font-weight:bold']
                                    // },
                                    'format'=>'raw',
                                    'attribute' => 'status',
                                    'value' => function ($data) {
                                        if($data['status'])
                                                {
                                                    // return $data['status'];
                                                    // if($data['status']=='Paid')
                                                    if(($data->pending_amount)==0)
                                                    {
                                                         return '<span class="label-paid">PAID</span>';
                                                    }
                                                    // else if($data['status']=='Pending')
                                                    else if($data->total_price==($data->pending_amount))
                                                    {
                                                     return '<span class="label-draft">PENDING</span>';
                                                    }
                                                    // else if ($data['status']=='Partially Paid')
                                                    else if(($data->total_price-($data->pending_amount))>0)
                                                     {
                                                     return '<span class="label-partial">PARTIAL</span>';
                                                    }
                                                    else{
                                                        return $data->status;
                                                    }
                                                }



                                                if(!($data->pending_amount-$data->tds_amount))
                                                {
                                                 return '<span class="label-paid">PAID</span>';
                                             }
                                             //    else if($total<$data->total && $total!=0)
                                                else if($data->total-($data->pending_amount-$data->tds_amount))
                                                {   
                                                 return '<span class="label-partial">PARTIAL</span>';
                                             }
                                             //    else if($total==0)
                                                else if($data->total=($data->pending_amount))
                                                {
                                                 return '<span class="label-draft">PENDING</span>';
                                             }
                                        
                                },
                                 ],
                                // 'status',
                                // 'shipment_status',
                                
                                // ['class' => 'yii\grid\ActionColumn'],
                                  [
                                            'label' => 'Action',
                                            // 'attribute' => 'username',
                                            'headerOptions' => ['style' => 'color:#495057'],
                                            'format'=>'raw',
                                            'contentOptions'=>[ 'style'=>'width: 35px'],
                                            'value' => function ($data) use ($assign) {

                                            $topstring = '<div class="d-inline-block dropdown">
                                                                <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="btn-shadow dropdown-toggle btn btn-info dj-action-btn">Action</button>
                                                                <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right dj-action-drop">
                                                                    <ul class="nav flex-column">';
                                            $downstring =  '</ul></div></div>';    
                                            
                                            if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/invoice/view'])->one()!='')
                                            {
                                                $viewstring = '<li class="nav-item">
                                                    <a class="nav-link" href='.Url::base().'/users/invoice/view?id='.$data->id.' data-method=post>
                                                       <i class="fa fa-eye"></i>
                                                        <span class="dj-icon-gap">  View</span>
                                                    </a>
                                                </li>';
                                            }
                                            else
                                            {
                                                $viewstring = '';
                                            } 

                                            if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/invoice/update'])->one()!='')
                                            {
                                                $editstring = '<li class="nav-item">
                                                    <a class="nav-link" href='.Url::base().'/users/invoice/update?id='.$data->id.'>
                                                        <i class="fa fa-pencil-square"></i>
                                                        <span class="dj-icon-gap"> Edit</span>
                                                    </a>
                                                </li>';
                                            }
                                            else
                                            {
                                                $editstring = '';
                                            }

                                            if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/invoice/delete'])->one()!='')
                                            {
                                                $deletestring = '<li class="nav-item">
                                                    <a class="nav-link deleteinvoice" href='.Url::base().'/users/invoice/delete?id='.$data->id.' data-method=post>
                                                       <i class="fa fa-trash"></i>
                                                        <span class="dj-icon-gap">  Delete</span>
                                                    </a>
                                                </li>';
                                            }
                                            else
                                            {
                                                $deletestring = '';
                                            }
                                            
                                            if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/invoice/create'])->one()!='')
                                            {
                                                $duplicatestring = '<li class="nav-item">
                                                    <a class="nav-link" href='.Url::base().'/users/invoice/create?id='.$data->id.'&from=invoice>
                                                        <i class="fa fa-files-o"></i>
                                                        <span class="dj-icon-gap"> Duplicate Invoice</span>
                                                    </a>
                                                </li>';
                                            }
                                            else
                                            {
                                                $duplicatestring = '';
                                            }

                                            if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/invoice/invoice-pdf'])->one()!='')
                                            {
                                                $pdfstring = '<li class="nav-item">
                                                    <a class="nav-link properprint" href="javascript:void(0);" class="properprint" value= '.Url::base().'/users/invoice/printall?id='.$data->id.'&title='.$data->invoice_id.' title="Pdf Invoice" data-method="post" >
                                                        <i class="fa fa-file-pdf-o"></i>
                                                        <span class="dj-icon-gap">Pdf Invoice</span>
                                                    </a>


                                                </li>
                                                <li class="nav-item">
                                                    <a class="nav-link properprint" href="javascript:void(0);" class="properprint" value= '.Url::base().'/users/invoice/printall?id='.$data->id.' title="Print Payslip" data-method="post" >
                                                        <i class="fa fa-file-pdf-o"></i>
                                                        <span class="dj-icon-gap">Print Invoice</span>
                                                    </a>


                                                </li>';
                                            }
                                            else
                                            {
                                                $pdfstring = '';
                                            }

                                            if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/invoice/excel-invoice'])->one()!='')
                                            {
                                                $excelstring = '<li class="nav-item">
                                                    <a class="nav-link" href='.Url::base().'/users/invoice/excel-invoice?id='.$data->id.'>
                                                        <i class="fa fa-file-excel-o"></i>
                                                        <span class="dj-icon-gap">Excel Invoice</span>
                                                    </a>
                                                </li>';
                                            }
                                            else
                                            {
                                                $excelstring = '';
                                            }
                                            if (AuthItemChild::find()->where(['parent' => $assign->item_name, 'child' => '/users/invoice/generate-einvoice'])->one() != '') {
                                                $einvoice = '<li class="nav-item">
                                                    <a id="generateInvoiceBtn" data-id="'.$data->id.'" class="nav-link" href="#">
                                                         <i class="fa fa-plus"></i>
                                                        <span class="dj-icon-gap">Generate E-Invoice</span>
                                                    </a>
                                                </li>';
                                            } else {
                                                $einvoice = '';
                                            }
                  
                                            if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/invoice/printe-invoice'])->one()!='')
                                            {
                                                $printeinvoice = '<li class="nav-item">
                                                    <a  id="printInvoiceBtn"    class="nav-link" href='.Url::base().'/users/invoice/printe-invoice?id='.$data->id.' &data-method=post>
                                                        <i class="fa fa-print"></i>
                                                        <span class="dj-icon-gap">Print  E-Invoice</span>
                                                    </a>
                                                </li>';
                                            }
                                            else
                                            {
                                                $printeinvoice = '';
                                            }

                                            
                                            if (AuthItemChild::find()->where(['parent' => $assign->item_name, 'child' => '/users/invoice/cancel-einvoice'])->one() != '') {
                                                $canceleinvoice = '<li class="nav-item">
                                                    <a id="cancelInvoiceBtn" data-id="'.$data->id.'" class="nav-link" href="#"    >
                                                         <i class="fa fa-plus"></i>
                                                        <span class="dj-icon-gap">Cancel E-Invoice</span>
                                                    </a>
                                                </li>';
                                            } else {
                                                $canceleinvoice = '';
                                            }


                                             if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/receipt-details/create'])->one()!='')
                                            {
                                                $receiptstring = '<li class="nav-item">
                                                    <a class="nav-link" href='.Url::base().'/users/receipt-details/create?id='.$data->id.'&from=invoice>
                                                        <i class="fa fa-plus"></i>
                                                        <span class="dj-icon-gap"> Add Receipt</span>
                                                    </a>
                                                </li>';
                                            }
                                            else
                                            {
                                                $receiptstring = '';
                                            }

                                            if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/receipt-details/create'])->one()!='')
                                            {
                                                $matchstring = '<li class="nav-item">
                                                    <a class="nav-link" href=>
                                                        <i class="fa fa-file-text-o"></i>
                                                        <span class="dj-icon-gap"> Match Receipt/Credit Note</span>
                                                    </a>
                                                </li>';
                                            }
                                            else
                                            {
                                                $matchstring = '';
                                            }

                                            if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/invoice/delivery-challan-template'])->one()!='')
                                            {
                                                $dcstring = '<li class="nav-item">
                                                    <a class="nav-link" href='.Url::base().'/users/invoice/delivery-challan-template?id='.$data->id.' target="_blank">
                                                        <i class="fa fa-print"></i>
                                                        <span class="dj-icon-gap"> Print DC</span>
                                                    </a>
                                                </li>';
                                            }
                                            else
                                            {
                                                $dcstring = '';
                                            }

                                         

                                            if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/invoice/findinvoicealldetails'])->one()!='')
                                            {
                                                $whatsappstring = '<li class="nav-item">
                                                                        <a class="nav-link senddetails" href=#  data-toggle="modal" data-target="#whatapp" value='.$data->id.'>
                                                                            <i class="fa fa-whatsapp"></i>
                                                                            <span class="dj-icon-gap"> Whatsapp Invoice</span>
                                                                        </a>
                                                                    </li>';
                                            }
                                            else
                                            {
                                                $whatsappstring = '';
                                            }

                                            if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/invoice/findinvoicealldetails'])->one()!='')
                                            {
                                                $mailstring = '<li class="nav-item">
                                                                        <a class="nav-link sendemail" href=# data-toggle="modal" data-target="#email" value='.$data->id.'>
                                                                            <i class="fa fa-envelope-o"></i>
                                                                            <span class="dj-icon-gap">Mail Invoice</span>
                                                                        </a>
                                                                    </li>
';
                                            }
                                            else
                                            {
                                                $mailstring = '';
                                            }


                                            if(AuthItemChild::find()->where(['parent'=>$assign->item_name,'child'=>'/users/invoice/findattachments'])->one()!='')
                                            {
                                                $attachemntstring = '<li class="nav-item">
                                                    <a class="nav-link attachments" href=#  data-toggle="modal" data-target="#document" value='.$data->id.'>
                                                        <i class="fa fa-paperclip"></i>
                                                        <span class="dj-icon-gap"> Download Attachments</span>
                                                    </a>
                                                </li>
';
                                            }
                                            else
                                            {
                                                $attachemntstring = '';
                                            }


                                            return $topstring.''.$viewstring.''.$editstring.''.$deletestring.''.$einvoice.''.$printeinvoice.''.$canceleinvoice.''.$duplicatestring.''.$pdfstring.''.$excelstring.''.$receiptstring.''.$dcstring.''.$whatsappstring.''.$mailstring.''.$attachemntstring.''.$downstring;
 
                                            },
                                        ],
                                    
                            ],
                        ]); ?>
                        </div>
                    </div>
                </div>




<div class="modal fade" id="whatapp">
    <div class="modal-dialog modal-md">
        <?php $form = ActiveForm::begin(['method' => 'get']); ?>
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">Send Whatsapp Message</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
              
              <form class="dj-sale-form">
                <div class="form-row">
                 <label for="customer" class="">Mobile no. </label>   
                 <div class="col-md-12">
                      <!-- <div class="position-relative form-group"> -->
                         <!-- <label for="customer" class="">Reason </label>  -->
                       
                        <div class="col-md-3" style="float: left;" > <?= $form->field($model, 'c_code')->textInput(['maxlength' => true,'class' => "form-control c_code",'placeholder'=>'Country Code'])->label(false) ?></div> 
                          <div class="col-md-8" style="float: right;" > <?= $form->field($model, 'c_mobile')->textInput(['maxlength' => true,'placeholder'=>'Mobile No.','class' => "form-control c_mobile"])->label(false) ?></div>

                          <?= $form->field($model, 'text_send')->textarea(['rows' => 2,'placeholder'=>'text','class' => "form-control send_text"])->label(false) ?>
                            <?= $form->field($model, 'findid')->hiddenInput(['maxlength' => true,'class' => "form-control cancel_id",])->label(false) ?> 
                       <!-- </div> -->
                                                
                    </div> 
                    
                </div>
              </form>
            </div>
            <div class="modal-footer">
              <div class="col-md-12">                                       
                <div class="djsec-text-right">
                    <?= Html::Button('<i class="fa fa-check-square-o" aria-hidden="true"></i> Save', ['class' => 'btn dj-blue-btn submit-btn sendwhatapp','target'=>"_blank"]) ?>

                    <!-- <a class="btn dj-blue-btn submit-btn" href=# ><i class="fa fa-plus-circle" aria-hidden="true"></i> Send</a> -->

                    <a href="" class="btn dj-red-btn " data-dismiss="modal" aria-label="Close" onclick="window.location.href=window.location.href"><i class="fa fa-ban" aria-hidden="true"></i> Close</a>
                  </div>
                </div>
            </div>
        </div>
        <?php ActiveForm::end(); ?>  
    </div>
</div>

<div class="modal fade" id="email">
    <div class="modal-dialog modal-md">
        <?php $form = ActiveForm::begin(['method' => 'post']); ?>
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">Send Email</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
              
              <form class="dj-sale-form">
                <div class="form-row">
                 <label for="customer" class="">Mail To </label>   
                 <div class="col-md-12">      
                          <?= $form->field($model, 'send_email')->textInput(['maxlength' => true,'class' => "form-control mail_send"])->label(false) ?>                   
                 </div> 

                 <label for="customer" class="">BCC </label>   
                 <div class="col-md-12">
                        
                          <?= $form->field($model, 'bcc_to_email')->textInput(['maxlength' => true,'class' => "form-control mail_bbc"])->label(false) ?>                                                
                </div>

                <label for="customer" class="">Mail Cc </label>   
                 <div class="col-md-12">
                        
                          <?= $form->field($model, 'cc_to_email')->textInput(['maxlength' => true,'class' => "form-control mail_cc"])->label(false) ?>                            
                </div>

                <label for="customer" class="">Subject </label>   
                 <div class="col-md-12">
                        
                          <?= $form->field($model, 'email_subject')->textInput(['maxlength' => true,'placeholder'=>'Enter Subject','class' => "form-control mail_subject"])->label(false) ?>
                            <?= $form->field($model, 'findid')->hiddenInput(['maxlength' => true,'class' => "form-control cancel_id"])->label(false) ?> 
                       <!-- </div> -->
                                                
                </div>

                <label for="customer" class="">Message </label>   
                 <div class="col-md-12">

                          <?= $form->field($model, 'email_message')->textarea(['rows' => 2,'placeholder'=>'text','class' => "form-control message"])->label(false) ?>
                           <?= $form->field($model, 'email_attachment')->fileInput(['class'=>"form-control",'type'=>'file'])->label(false) ?>
                       <!-- </div> -->
                                                
                </div>
                    
                </div>
              </form>
            </div>
            <div class="modal-footer">
              <div class="col-md-12">                                       
                <div class="djsec-text-right">
                   <?= Html::submitButton('<i class="fa fa-check-square-o" aria-hidden="true"></i> Send', ['class' => 'btn dj-blue-btn submit-btn']) ?>

                    <!-- <a class="btn dj-blue-btn submit-btn" href=# ><i class="fa fa-plus-circle" aria-hidden="true"></i> Send</a> -->

                    <a href="" class="btn dj-red-btn " data-dismiss="modal" aria-label="Close" onclick="window.location.href=window.location.href"><i class="fa fa-ban" aria-hidden="true"></i> Close</a>
                  </div>
                </div>
            </div>
        </div>
        <?php ActiveForm::end(); ?>  
    </div>
</div>


<div class="modal fade" id="cancel">
    <div class="modal-dialog modal-md">
        <?php $form = ActiveForm::begin(['method' => 'get']); ?>
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
              
              <form class="dj-sale-form">
                <div class="form-row">
                 
                   <div class="col-md-12">
                      <div class="position-relative form-group">
                         <label for="customer" class="">Match Receipt/Creditnote for Pending Amount Rs <span class="amt"></span></label> 
                          
                       </div>
                                                
                    </div>  
                </div>
              </form>
            </div>
            <div class="modal-footer">
              <div class="col-md-12">                                       
                
                </div>
            </div>
        </div>
        <?php ActiveForm::end(); ?>  
    </div>
</div> 

<div class="modal fade" id="document" >
    <div class="modal-dialog modal-md"  >
        
        <div class="modal-content"  >
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">Invoice Attachments</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
            
            <table id="dinamic">
               
            </table>
            </div>
            <div class="modal-footer">
              
            </div>
        </div>
    </div>
</div>
<!-- Include SweetAlert CSS and JS -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/1.1.3/sweetalert.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/1.1.3/sweetalert.min.js"></script>

<?php ob_start();?>
<script type="text/javascript">
$(function() {
  // $('.customer').select2({'width':'100%'});


  $('.sendwhatapp').click(function()  {  
        var country_code = $('.c_code').val();
        var mobile = $('.c_mobile').val();
        var mobile_no = country_code.concat(mobile);
        var g_text = $('.send_text').val();
        var url= "https://wa.me/"+mobile_no+"/?text="+g_text;
        window.location.href = url; 
})

    $('.senddetails').click(function(){
     var id = $(this).attr('value');
     $('.reason').val('');
     $('.cancel_id').val(id);
     // alert($('.cancel_id').val());
     jQuery.ajaxSetup({async:false});
     $.get('findinvoicealldetails',{id:id},function(data)
     {
           var data =$.parseJSON(data);
           $('.c_code').val('91');
           $('.reason').val('');
           jQuery.ajaxSetup({async:false});
           $.get('create-url',{id:id},function(st)
           {
                var st =$.parseJSON(st);
                $('.send_text').text('We have confirmed your Invoice '+(data.invoice_id)+' has been raised for Rs '+data.total_price+'. Thank you! You can find the attachment below:'); 
           })
           

     });
     
})

 $('.sendemail').click(function(){
     var id = $(this).attr('value');
     // $('.reason').val('');
     $('.cancel_id').val(id);
     // alert($('.cancel_id').val());
     jQuery.ajaxSetup({async:false});
     $.get('finduseralldetails',{id:id},function(data)
     {
           var data =$.parseJSON(data);
           $('.mail_send').val(data.email);
           $('.mail_bbc').val('');
           
           
           // jQuery.ajaxSetup({async:false});
           $.get('findinvoicealldetails',{id:id},function(st)
           {
                var st =$.parseJSON(st);
                var sub= 'Invoice # '+st.invoice_id+" Date:"+st.date;
                $('.mail_subject').val(sub);
                $.get('create-url',{id:id},function(link)
                {
                    var link =$.parseJSON(link);
                    var obj = $('.message').html('Dear '+(data.business_name)+"\n We have confirmed your order for Invoice # "+st.invoice_id+". The Invoice has been raised for Rs"+ st.total_price+'\n Thank you! \n MOHASYN \n \n Download attached invoice at: \n'+link).wrap('<pre />'); 
                })
                // var obj = $("#example").text('this\n has\n newlines');
               
           })
           

     });
     
})
    $('.matchdetails').click(function(){
        var data = $(this).attr('value').split('|');
      var id = $(this).attr('value');
     $.get('findinvoicealldetails',{id:id},function(data)
     {
           var data =$.parseJSON(data);
           
         $('.amt').text(data.pending_amount);        

     });
})

  $('.customer').select2({
        ajax: { 
        url: '<?php echo Url::toRoute('sale-order/customerdetails'); ?>',
        type: "get",
        dataType: 'json',
        delay: 250,
        data: function (params) {
            return {
            searchTerm: params.term // search term
            };
        },
        processResults: function (response) {
           
            
            $('#customersearch').trigger('change');
            return {
                results: $.map(response, function (i,item) {
                    
                return {
                    text: i,
                    slug: "",
                    id: item
                }
            })
        };       
        },
        cache: true
        }
    });
    $('.find_product').select2({
        ajax: { 
        url: '<?php echo Url::toRoute('leads-quotes/productdetails'); ?>',
        type: "get",
        dataType: 'json',
        delay: 250,
        data: function (params) {
            return {
            searchTerm: params.term // search term
            };
        },
        processResults: function (response) {
           
            return {
                results: $.map(response, function (i,item) {
                    
                return {
                    text: i,
                    slug: "",
                    id: item
                }
            })
        };
                
           
        },
        cache: true
        }
    });
  $('.search_supply').select2({'width':'100%'});
  $('.executives_name').select2({'width':'100%'});
  $('.shipment').select2({'width':'100%'});
  $('.bill_type').select2({'width':'100%'});
  $('.setting').select2({'width':'100%'});

$('#bulkdelete').click(function(){
    var ids = $('#grid').yiiGridView('getSelectedRows');
    if(ids != 0)
    {
        var x = confirm("Are you sure you want to delete selected items?");
        if(x)
        {
            var ids = $('#grid').yiiGridView('getSelectedRows');
            console.log(ids);
            $.post( 'delete',{data: ids}, function( data ) {
             });
        }
        else
        {
            return false;
        }
    }
    else
    {
        var x = alert("Please select some items to delete!");
    }
   
});
$('#search-invoice').hide();
$('#advance-search').click(function(){
    $('#search-invoice').toggle();
})

$('.deleteinvoice').click(function(){
var confirm = window.confirm("Are u sure you want to delete the selected item?");
if (confirm == true)
return true;
else
return false;
})

var isLoading = false;
$('.attachments').click(function(){
     $("#dinamic").empty();
     isLoading = true;
     var id = $(this).attr('value');
     $.get('findattachments',{id:id},function(data)
     {
           var data =$.parseJSON(data);
           if(data.length==0)
           {
               $('#dinamic').append("<tr><td  value=''>No Attachments Found</td><tr>");
           }
           for (var i = 0; i < data.length; i++){
                 // $('#dinamic').append("<tr><td  value='" + data[i].id + "'>" + data[i].document_name + "</td><tr>");

                $('#dinamic').append("<tr><td  value='" + data[i].id + "'><a href='<?=Url::base();?>/users/invoice/download?id="+ data[i].id +"'>"+ data[i].document_name +"</a></td><tr>");
               

                  }
         isLoading = false;        

     });
})
$('#id_invoice').change(function()
{
   if($(this).val()=='')
   {
     window.location = window.location;
   }
});
$('input[name="InvoiceSearch[date]"]').attr('type','date');

      $('.properprint').click(function(e){
    e.preventDefault();
    canelUrl = $(this).attr("value");
 
        window.open($(this).attr("value"), "Mohapatra Scientific Pvt Ltd - "+$(this).attr("title"), "width=700,height=700,scrollbars=yes");
    

});

$(document).on('click', '#generateInvoiceBtn', function(event) {
    event.preventDefault();
    const id = $(this).data('id');

    $.ajax({
        url: 'generate-einvoice',
        type: 'GET',
        data: { id: id },
        success: function(response) {
            // Using SweetAlert to show the full response
            swal({
                title: "Response",
                text: response, // Formatting JSON for better readability
                icon: "info",
                button: "OK",
            });
        },
        error: function(jqXHR, textStatus, errorThrown) {
            // Using SweetAlert for error message
            swal("Error!", 'Failed to generate E-Invoice. Error: ' + textStatus + ' - ' + errorThrown, "error");
        }
    });
});
$(document).on('click', '#cancelInvoiceBtn', function(event) {
    event.preventDefault();
    const id = $(this).data('id');

    $.ajax({
        url: 'cancel-einvoice',
        type: 'GET',
        data: { id: id },
        success: function(response) {
            // Using SweetAlert to show the full response
            swal({
                title: "Response",
                text: response, // Formatting JSON for better readability
                icon: "info",
                button: "OK",
            });
        },
        error: function(jqXHR, textStatus, errorThrown) {
            // Using SweetAlert for error message
            swal("Error!", 'Failed to cancel E-Invoice. Error: ' + textStatus + ' - ' + errorThrown, "error");
        }
    });
});



});
</script>   
<?php $this->registerJs(preg_replace('~^\s*<script.*>|</script>\s*$~ U', '', ob_get_clean()))?>                  
