<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\helpers\Url;
use yii\widgets\ActiveForm;
use backend\modules\users\models\InvoiceDocument;
use backend\modules\users\models\InvoiceProduct;
use backend\modules\master\models\LeadExecutive;
use backend\modules\master\models\Product;
use backend\modules\master\models\Customer;
use backend\modules\users\models\ReceiptDetails;
use backend\modules\master\models\AccountingTax;
use backend\modules\users\models\Invoice;
use backend\modules\users\models\InovicesAdjustedAmounts;
use backend\modules\master\models\AccountingLedger;
use backend\modules\master\models\GenericTemplate;
use backend\models\AuthAssignment;
use backend\models\AuthItemChild;
use backend\modules\master\models\SalesTemplates;
use backend\modules\master\models\SettingTypes;
use backend\modules\users\models\ProductDelivered;

$template = GenericTemplate::find()->where(['gt_id' => $model->settings_id])->one();
$invoice = Invoice::find()->where(['id' => $model->id])->one();




$customer = Customer::find()->where(['id' => $model->customer_name])->one();

$findadjusted = InovicesAdjustedAmounts::find()->where(['invoice_id' => $model->id])->Count();
$income = AccountingLedger::find()->where(['account_type_id' => 2])->all();

$liability = AccountingLedger::find()->where(['account_type_id' => 5])->all();
$incomes = '';
foreach ($income as $value) {
    $incomes .= "<option value=$value->accounting_ledger_id>$value->ledger_id</option>";
}
$liabilitys = '';
foreach ($liability as $value) {
    $liabilitys .= "<option value=$value->accounting_ledger_id>$value->ledger_id</option>";
}


$myArray = explode(',', $model->from_delivered);




$a = array();
$max_date = array();
foreach ($myArray as $value) {

    $challans = ProductDelivered::find()->where(['id' => $value])->one();
    if ($challans) {
        $a[] = $challans->dc_no . '' . $challans->suffix;
        $max_date[] = $challans->date;
    }
}

$challan_List = implode(', ', $a);

if ($max_date) {
    $unix = array_map('strtotime', $max_date);
    $max_challan_date = date('Y-m-d', max($unix));

    if ($max_challan_date == '1970-01-01') {
        $max_challan_date = '';
    }
} else {
    $unix = '';
    $max_challan_date = '';
}




/* @var $this yii\web\View */
/* @var $model backend\modules\users\models\Invoice */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Invoices', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);

function AmountInWords(float $amount)
{
    $amount_after_decimal = round($amount - ($num = floor($amount)), 2) * 100;
    // Check if there is any number after decimal
    $amt_hundred = null;
    $count_length = strlen($num);
    $x = 0;
    $string = array();
    $change_words = array(
        0 => '',
        1 => 'One',
        2 => 'Two',
        3 => 'Three',
        4 => 'Four',
        5 => 'Five',
        6 => 'Six',
        7 => 'Seven',
        8 => 'Eight',
        9 => 'Nine',
        10 => 'Ten',
        11 => 'Eleven',
        12 => 'Twelve',
        13 => 'Thirteen',
        14 => 'Fourteen',
        15 => 'Fifteen',
        16 => 'Sixteen',
        17 => 'Seventeen',
        18 => 'Eighteen',
        19 => 'Nineteen',
        20 => 'Twenty',
        30 => 'Thirty',
        40 => 'Forty',
        50 => 'Fifty',
        60 => 'Sixty',
        70 => 'Seventy',
        80 => 'Eighty',
        90 => 'Ninety'
    );
    $here_digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
    while ($x < $count_length) {
        $get_divider = ($x == 2) ? 10 : 100;
        $amount = floor($num % $get_divider);
        $num = floor($num / $get_divider);
        $x += $get_divider == 10 ? 1 : 2;
        if ($amount) {
            $add_plural = (($counter = count($string)) && $amount > 9) ? 's' : null;
            $amt_hundred = ($counter == 1 && $string[0]) ? ' and ' : null;
            $string[] = ($amount < 21) ? $change_words[$amount] . ' ' . $here_digits[$counter] . $add_plural . ' 
       ' . $amt_hundred : $change_words[floor($amount / 10) * 10] . ' ' . $change_words[$amount % 10] . ' 
       ' . $here_digits[$counter] . $add_plural . ' ' . $amt_hundred;
        } else $string[] = null;
    }
    $implode_to_Rupees = implode('', array_reverse($string));
    $get_paise = ($amount_after_decimal > 0) ? "And " . ($change_words[$amount_after_decimal / 10] . " 
   " . $change_words[$amount_after_decimal % 10]) . ' Paise' : '';
    return ($implode_to_Rupees ? $implode_to_Rupees . 'Rupees ' : '') . $get_paise;
}

?>
<?php $amt_words = $model->total_price;
// $date = $model->date;
//  echo date('F d Y', strtotime($date));
// nummeric value in variable

$get_amount = AmountInWords($amt_words);
?>


<html>

<head>
    <?php if ($title != '') { ?>
        <title><?= $title ?>-Invoice</title>
    <?php } else { ?>
        <title>Print Invoice</title>
    <?php } ?>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <script type="text/javascript">
        (window.NREUM || (NREUM = {})).init = {
            ajax: {
                deny_list: ["bam.nr-data.net"]
            }
        };
        (window.NREUM || (NREUM = {})).loader_config = {
            licenseKey: "30c176eacb",
            applicationID: "46316956"
        };
        window.NREUM || (NREUM = {}), __nr_require = function(t, e, n) {
            function r(n) {
                if (!e[n]) {
                    var i = e[n] = {
                        exports: {}
                    };
                    t[n][0].call(i.exports, function(e) {
                        var i = t[n][1][e];
                        return r(i || e)
                    }, i, i.exports)
                }
                return e[n].exports
            }
            if ("function" == typeof __nr_require) return __nr_require;
            for (var i = 0; i < n.length; i++) r(n[i]);
            return r
        }({
            1: [function(t, e, n) {
                function r() {}

                function i(t, e, n, r) {
                    return function() {
                        return s.recordSupportability("API/" + e + "/called"), o(t + e, [u.now()].concat(c(arguments)), n ? null : this, r), n ? void 0 : this
                    }
                }
                var o = t("handle"),
                    a = t(9),
                    c = t(10),
                    f = t("ee").get("tracer"),
                    u = t("loader"),
                    s = t(4),
                    d = NREUM;
                "undefined" == typeof window.newrelic && (newrelic = d);
                var p = ["setPageViewName", "setCustomAttribute", "setErrorHandler", "finished", "addToTrace", "inlineHit", "addRelease"],
                    l = "api-",
                    v = l + "ixn-";
                a(p, function(t, e) {
                    d[e] = i(l, e, !0, "api")
                }), d.addPageAction = i(l, "addPageAction", !0), d.setCurrentRouteName = i(l, "routeName", !0), e.exports = newrelic, d.interaction = function() {
                    return (new r).get()
                };
                var m = r.prototype = {
                    createTracer: function(t, e) {
                        var n = {},
                            r = this,
                            i = "function" == typeof e;
                        return o(v + "tracer", [u.now(), t, n], r),
                            function() {
                                if (f.emit((i ? "" : "no-") + "fn-start", [u.now(), r, i], n), i) try {
                                    return e.apply(this, arguments)
                                } catch (t) {
                                    throw f.emit("fn-err", [arguments, this, t], n), t
                                } finally {
                                    f.emit("fn-end", [u.now()], n)
                                }
                            }
                    }
                };
                a("actionText,setName,setAttribute,save,ignore,onEnd,getContext,end,get".split(","), function(t, e) {
                    m[e] = i(v, e)
                }), newrelic.noticeError = function(t, e) {
                    "string" == typeof t && (t = new Error(t)), s.recordSupportability("API/noticeError/called"), o("err", [t, u.now(), !1, e])
                }
            }, {}],
            2: [function(t, e, n) {
                function r(t) {
                    if (NREUM.init) {
                        for (var e = NREUM.init, n = t.split("."), r = 0; r < n.length - 1; r++)
                            if (e = e[n[r]], "object" != typeof e) return;
                        return e = e[n[n.length - 1]]
                    }
                }
                e.exports = {
                    getConfiguration: r
                }
            }, {}],
            3: [function(t, e, n) {
                var r = !1;
                try {
                    var i = Object.defineProperty({}, "passive", {
                        get: function() {
                            r = !0
                        }
                    });
                    window.addEventListener("testPassive", null, i), window.removeEventListener("testPassive", null, i)
                } catch (o) {}
                e.exports = function(t) {
                    return r ? {
                        passive: !0,
                        capture: !!t
                    } : !!t
                }
            }, {}],
            4: [function(t, e, n) {
                function r(t, e) {
                    var n = [a, t, {
                        name: t
                    }, e];
                    return o("storeMetric", n, null, "api"), n
                }

                function i(t, e) {
                    var n = [c, t, {
                        name: t
                    }, e];
                    return o("storeEventMetrics", n, null, "api"), n
                }
                var o = t("handle"),
                    a = "sm",
                    c = "cm";
                e.exports = {
                    constants: {
                        SUPPORTABILITY_METRIC: a,
                        CUSTOM_METRIC: c
                    },
                    recordSupportability: r,
                    recordCustom: i
                }
            }, {}],
            5: [function(t, e, n) {
                function r() {
                    return c.exists && performance.now ? Math.round(performance.now()) : (o = Math.max((new Date).getTime(), o)) - a
                }

                function i() {
                    return o
                }
                var o = (new Date).getTime(),
                    a = o,
                    c = t(11);
                e.exports = r, e.exports.offset = a, e.exports.getLastTimestamp = i
            }, {}],
            6: [function(t, e, n) {
                function r(t, e) {
                    var n = t.getEntries();
                    n.forEach(function(t) {
                        "first-paint" === t.name ? l("timing", ["fp", Math.floor(t.startTime)]) : "first-contentful-paint" === t.name && l("timing", ["fcp", Math.floor(t.startTime)])
                    })
                }

                function i(t, e) {
                    var n = t.getEntries();
                    if (n.length > 0) {
                        var r = n[n.length - 1];
                        if (u && u < r.startTime) return;
                        var i = [r],
                            o = a({});
                        o && i.push(o), l("lcp", i)
                    }
                }

                function o(t) {
                    t.getEntries().forEach(function(t) {
                        t.hadRecentInput || l("cls", [t])
                    })
                }

                function a(t) {
                    var e = navigator.connection || navigator.mozConnection || navigator.webkitConnection;
                    if (e) return e.type && (t["net-type"] = e.type), e.effectiveType && (t["net-etype"] = e.effectiveType), e.rtt && (t["net-rtt"] = e.rtt), e.downlink && (t["net-dlink"] = e.downlink), t
                }

                function c(t) {
                    if (t instanceof y && !w) {
                        var e = Math.round(t.timeStamp),
                            n = {
                                type: t.type
                            };
                        a(n), e <= v.now() ? n.fid = v.now() - e : e > v.offset && e <= Date.now() ? (e -= v.offset, n.fid = v.now() - e) : e = v.now(), w = !0, l("timing", ["fi", e, n])
                    }
                }

                function f(t) {
                    "hidden" === t && (u = v.now(), l("pageHide", [u]))
                }
                if (!("init" in NREUM && "page_view_timing" in NREUM.init && "enabled" in NREUM.init.page_view_timing && NREUM.init.page_view_timing.enabled === !1)) {
                    var u, s, d, p, l = t("handle"),
                        v = t("loader"),
                        m = t(8),
                        g = t(3),
                        y = NREUM.o.EV;
                    if ("PerformanceObserver" in window && "function" == typeof window.PerformanceObserver) {
                        s = new PerformanceObserver(r);
                        try {
                            s.observe({
                                entryTypes: ["paint"]
                            })
                        } catch (h) {}
                        d = new PerformanceObserver(i);
                        try {
                            d.observe({
                                entryTypes: ["largest-contentful-paint"]
                            })
                        } catch (h) {}
                        p = new PerformanceObserver(o);
                        try {
                            p.observe({
                                type: "layout-shift",
                                buffered: !0
                            })
                        } catch (h) {}
                    }
                    if ("addEventListener" in document) {
                        var w = !1,
                            b = ["click", "keydown", "mousedown", "pointerdown", "touchstart"];
                        b.forEach(function(t) {
                            document.addEventListener(t, c, g(!1))
                        })
                    }
                    m(f)
                }
            }, {}],
            7: [function(t, e, n) {
                function r(t, e) {
                    if (!i) return !1;
                    if (t !== i) return !1;
                    if (!e) return !0;
                    if (!o) return !1;
                    for (var n = o.split("."), r = e.split("."), a = 0; a < r.length; a++)
                        if (r[a] !== n[a]) return !1;
                    return !0
                }
                var i = null,
                    o = null,
                    a = /Version\/(\S+)\s+Safari/;
                if (navigator.userAgent) {
                    var c = navigator.userAgent,
                        f = c.match(a);
                    f && c.indexOf("Chrome") === -1 && c.indexOf("Chromium") === -1 && (i = "Safari", o = f[1])
                }
                e.exports = {
                    agent: i,
                    version: o,
                    match: r
                }
            }, {}],
            8: [function(t, e, n) {
                function r(t) {
                    function e() {
                        t(c && document[c] ? document[c] : document[o] ? "hidden" : "visible")
                    }
                    "addEventListener" in document && a && document.addEventListener(a, e, i(!1))
                }
                var i = t(3);
                e.exports = r;
                var o, a, c;
                "undefined" != typeof document.hidden ? (o = "hidden", a = "visibilitychange", c = "visibilityState") : "undefined" != typeof document.msHidden ? (o = "msHidden", a = "msvisibilitychange") : "undefined" != typeof document.webkitHidden && (o = "webkitHidden", a = "webkitvisibilitychange", c = "webkitVisibilityState")
            }, {}],
            9: [function(t, e, n) {
                function r(t, e) {
                    var n = [],
                        r = "",
                        o = 0;
                    for (r in t) i.call(t, r) && (n[o] = e(r, t[r]), o += 1);
                    return n
                }
                var i = Object.prototype.hasOwnProperty;
                e.exports = r
            }, {}],
            10: [function(t, e, n) {
                function r(t, e, n) {
                    e || (e = 0), "undefined" == typeof n && (n = t ? t.length : 0);
                    for (var r = -1, i = n - e || 0, o = Array(i < 0 ? 0 : i); ++r < i;) o[r] = t[e + r];
                    return o
                }
                e.exports = r
            }, {}],
            11: [function(t, e, n) {
                e.exports = {
                    exists: "undefined" != typeof window.performance && window.performance.timing && "undefined" != typeof window.performance.timing.navigationStart
                }
            }, {}],
            ee: [function(t, e, n) {
                function r() {}

                function i(t) {
                    function e(t) {
                        return t && t instanceof r ? t : t ? u(t, f, a) : a()
                    }

                    function n(n, r, i, o, a) {
                        if (a !== !1 && (a = !0), !l.aborted || o) {
                            t && a && t(n, r, i);
                            for (var c = e(i), f = m(n), u = f.length, s = 0; s < u; s++) f[s].apply(c, r);
                            var p = d[w[n]];
                            return p && p.push([b, n, r, c]), c
                        }
                    }

                    function o(t, e) {
                        h[t] = m(t).concat(e)
                    }

                    function v(t, e) {
                        var n = h[t];
                        if (n)
                            for (var r = 0; r < n.length; r++) n[r] === e && n.splice(r, 1)
                    }

                    function m(t) {
                        return h[t] || []
                    }

                    function g(t) {
                        return p[t] = p[t] || i(n)
                    }

                    function y(t, e) {
                        l.aborted || s(t, function(t, n) {
                            e = e || "feature", w[n] = e, e in d || (d[e] = [])
                        })
                    }
                    var h = {},
                        w = {},
                        b = {
                            on: o,
                            addEventListener: o,
                            removeEventListener: v,
                            emit: n,
                            get: g,
                            listeners: m,
                            context: e,
                            buffer: y,
                            abort: c,
                            aborted: !1
                        };
                    return b
                }

                function o(t) {
                    return u(t, f, a)
                }

                function a() {
                    return new r
                }

                function c() {
                    (d.api || d.feature) && (l.aborted = !0, d = l.backlog = {})
                }
                var f = "nr@context",
                    u = t("gos"),
                    s = t(9),
                    d = {},
                    p = {},
                    l = e.exports = i();
                e.exports.getOrSetContext = o, l.backlog = d
            }, {}],
            gos: [function(t, e, n) {
                function r(t, e, n) {
                    if (i.call(t, e)) return t[e];
                    var r = n();
                    if (Object.defineProperty && Object.keys) try {
                        return Object.defineProperty(t, e, {
                            value: r,
                            writable: !0,
                            enumerable: !1
                        }), r
                    } catch (o) {}
                    return t[e] = r, r
                }
                var i = Object.prototype.hasOwnProperty;
                e.exports = r
            }, {}],
            handle: [function(t, e, n) {
                function r(t, e, n, r) {
                    i.buffer([t], r), i.emit(t, e, n)
                }
                var i = t("ee").get("handle");
                e.exports = r, r.ee = i
            }, {}],
            id: [function(t, e, n) {
                function r(t) {
                    var e = typeof t;
                    return !t || "object" !== e && "function" !== e ? -1 : t === window ? 0 : a(t, o, function() {
                        return i++
                    })
                }
                var i = 1,
                    o = "nr@id",
                    a = t("gos");
                e.exports = r
            }, {}],
            loader: [function(t, e, n) {
                function r() {
                    if (!M++) {
                        var t = T.info = NREUM.info,
                            e = m.getElementsByTagName("script")[0];
                        if (setTimeout(u.abort, 3e4), !(t && t.licenseKey && t.applicationID && e)) return u.abort();
                        f(x, function(e, n) {
                            t[e] || (t[e] = n)
                        });
                        var n = a();
                        c("mark", ["onload", n + T.offset], null, "api"), c("timing", ["load", n]);
                        var r = m.createElement("script");
                        0 === t.agent.indexOf("http://") || 0 === t.agent.indexOf("https://") ? r.src = t.agent : r.src = l + "://" + t.agent, e.parentNode.insertBefore(r, e)
                    }
                }

                function i() {
                    "complete" === m.readyState && o()
                }

                function o() {
                    c("mark", ["domContent", a() + T.offset], null, "api")
                }
                var a = t(5),
                    c = t("handle"),
                    f = t(9),
                    u = t("ee"),
                    s = t(7),
                    d = t(2),
                    p = t(3),
                    l = d.getConfiguration("ssl") === !1 ? "http" : "https",
                    v = window,
                    m = v.document,
                    g = "addEventListener",
                    y = "attachEvent",
                    h = v.XMLHttpRequest,
                    w = h && h.prototype,
                    b = !1;
                NREUM.o = {
                    ST: setTimeout,
                    SI: v.setImmediate,
                    CT: clearTimeout,
                    XHR: h,
                    REQ: v.Request,
                    EV: v.Event,
                    PR: v.Promise,
                    MO: v.MutationObserver
                };
                var E = "" + location,
                    x = {
                        beacon: "bam.nr-data.net",
                        errorBeacon: "bam.nr-data.net",
                        agent: "js-agent.newrelic.com/nr-1216.min.js"
                    },
                    O = h && w && w[g] && !/CriOS/.test(navigator.userAgent),
                    T = e.exports = {
                        offset: a.getLastTimestamp(),
                        now: a,
                        origin: E,
                        features: {},
                        xhrWrappable: O,
                        userAgent: s,
                        disabled: b
                    };
                if (!b) {
                    t(1), t(6), m[g] ? (m[g]("DOMContentLoaded", o, p(!1)), v[g]("load", r, p(!1))) : (m[y]("onreadystatechange", i), v[y]("onload", r)), c("mark", ["firstbyte", a.getLastTimestamp()], null, "api");
                    var M = 0
                }
            }, {}],
            "wrap-function": [function(t, e, n) {
                function r(t, e) {
                    function n(e, n, r, f, u) {
                        function nrWrapper() {
                            var o, a, s, p;
                            try {
                                a = this, o = d(arguments), s = "function" == typeof r ? r(o, a) : r || {}
                            } catch (l) {
                                i([l, "", [o, a, f], s], t)
                            }
                            c(n + "start", [o, a, f], s, u);
                            try {
                                return p = e.apply(a, o)
                            } catch (v) {
                                throw c(n + "err", [o, a, v], s, u), v
                            } finally {
                                c(n + "end", [o, a, p], s, u)
                            }
                        }
                        return a(e) ? e : (n || (n = ""), nrWrapper[p] = e, o(e, nrWrapper, t), nrWrapper)
                    }

                    function r(t, e, r, i, o) {
                        r || (r = "");
                        var c, f, u, s = "-" === r.charAt(0);
                        for (u = 0; u < e.length; u++) f = e[u], c = t[f], a(c) || (t[f] = n(c, s ? f + r : r, i, f, o))
                    }

                    function c(n, r, o, a) {
                        if (!v || e) {
                            var c = v;
                            v = !0;
                            try {
                                t.emit(n, r, o, e, a)
                            } catch (f) {
                                i([f, n, r, o], t)
                            }
                            v = c
                        }
                    }
                    return t || (t = s), n.inPlace = r, n.flag = p, n
                }

                function i(t, e) {
                    e || (e = s);
                    try {
                        e.emit("internal-error", t)
                    } catch (n) {}
                }

                function o(t, e, n) {
                    if (Object.defineProperty && Object.keys) try {
                        var r = Object.keys(t);
                        return r.forEach(function(n) {
                            Object.defineProperty(e, n, {
                                get: function() {
                                    return t[n]
                                },
                                set: function(e) {
                                    return t[n] = e, e
                                }
                            })
                        }), e
                    } catch (o) {
                        i([o], n)
                    }
                    for (var a in t) l.call(t, a) && (e[a] = t[a]);
                    return e
                }

                function a(t) {
                    return !(t && t instanceof Function && t.apply && !t[p])
                }

                function c(t, e) {
                    var n = e(t);
                    return n[p] = t, o(t, n, s), n
                }

                function f(t, e, n) {
                    var r = t[e];
                    t[e] = c(r, n)
                }

                function u() {
                    for (var t = arguments.length, e = new Array(t), n = 0; n < t; ++n) e[n] = arguments[n];
                    return e
                }
                var s = t("ee"),
                    d = t(10),
                    p = "nr@original",
                    l = Object.prototype.hasOwnProperty,
                    v = !1;
                e.exports = r, e.exports.wrapFunction = c, e.exports.wrapInPlace = f, e.exports.argsToArray = u
            }, {}]
        }, {}, ["loader"]);
    </script>
    <script type="text/javascript">
        var clientid = "36113";
    </script>
    <script type="text/javascript">
        if (clientid == "Hiflo") {
            pgSize = '450';
        } else {
            pgSize = 690;
        }
    </script>
</head>
<script type="text/javascript" src="https://www.reacherp.com/js/jquery-1.4.4.min.js"></script>
<script type="text/javascript">
    function changePageFont(pgfont) {
        printList = [];
        pgfont = pgfont || 2;
        if ($('.dashboard-section').height() > pgSize) {
            mainHeaderHeight = $('table.main > tbody > tr:eq(0)').height(); //202
            mainHeader = '<tr>' + $('table.main > tbody > tr:eq(0)').html() + '</tr>';
            lastPgFooterHeight = $('table.main > tbody > tr:eq(2)').height();
            lastPgFooter = '<tr style="vertical-align:bottom;">' + $('table.main > tbody > tr:eq(2)').html() + '</tr>';

            /*mainHeaderHeight = $('table.main > tbody > tr:eq(0)').height(); //202
            mainHeader = '<tr>'+$('table.main > tbody > tr:eq(0)').html()+'</tr>';
            firstPgHeaderHeight = $('table.main > tbody > tr:eq(1)').height(); //192
            firstPgHeader = '<tr>'+$('table.main > tbody > tr:eq(1)').html()+'</tr>';
            dummyFooterHeight = $('table.main > tbody > tr:eq(3)').height();
            dummyFooter = '<tr>'+$('table.main > tbody > tr:eq(3)').html()+'</tr>';
            lastPgFooterHeight = $('table.main > tbody > tr:eq(4)').height();
            lastPgFooter = '<tr style="vertical-align:bottom;">'+$('table.main > tbody > tr:eq(4)').html()+'</tr>';*/
            newPgFooter = '<tr height="auto;"><td colspan="2" align="right" valign="top">Continued...</td></tr>';
            newPgFooterHeight = 20;
            prdtContStartTxt = '<tr><td colspan="2"><table class="prdtMainTbl" width="100%" cellspacing="0" cellpadding="0" border="0" style="color:#000; font-family:Arial, Helvetica, sans-serif; font-size:12px;">';
            prdtContEndTxt = '</table></td></tr>';
            prdtHeaderHeight = $('.prdtMainTbl > thead').height();
            prdtHeader = '<thead>' + $('.prdtMainTbl > thead').html() + '</thead>';
            prdtFooterHeight = $('.prdtMainTbl > tfoot').height();
            prdtFooter = '<tfoot>' + $('.prdtMainTbl > tfoot').html() + '</tfoot>';
            prdtNewFooterHeight = $('.prdtMainTbl > tfoot > tr:first-child').height();

            if (pgfont == '2') {
                var firstchldlen = $('.prdtMainTbl > tfoot > tr:first-child td').length;
                $('.prdtMainTbl > tfoot > tr:first-child td').each(function(index, element) {
                    $(this).html('');
                    if (index == 0) {
                        $(this).removeAttr("rowspan");
                        $(this).attr({
                            'colspan': '2'
                        });
                        $(this).css({
                            'border-bottom': '1px solid #000'
                        });
                        $(this).html('<b>Page Total (' + $('.currency').text() + ')</b>');
                    }
                    if (index == 1) {
                        $(this).remove();
                    }
                    if (index == (firstchldlen - 1)) {
                        $(this).html('<b class="pgTotTxt"></b>');
                    }
                });
            }
            //Entering
            prdtNewFooter = '<tfoot><tr class="pgtotal">' + $('.prdtMainTbl > tfoot > tr:first-child').html() + '</tr></tfoot>';
            if (clientid == '20331' || clientid == '20390') {
                emptyTrHeight = $('#emptyTr').height(); //202
            }
            pgPrdtArray = new Array();
            pgprdthghtArray = new Array();
            incrI = 0;
            newPgPrdtHeight = 0;
            pgPrdtArray[0] = '';
            $('.prdtMainTbl > tbody > tr').each(function(index, element) {
                if ($('.prdtMainTbl > tbody > tr').length == 1) {
                    pgPrdtArray[incrI] = '<tr>' + $(this).html() + '</tr>';
                    newPgPrdtHeight = $(this).height();
                    pgprdthghtArray[incrI] = newPgPrdtHeight;
                } else {
                    if ($('.prdtMainTbl > tbody > tr').length != (index + 1)) {
                        if ((mainHeaderHeight + prdtHeaderHeight + newPgPrdtHeight + $(this).height() + prdtNewFooterHeight + newPgFooterHeight) <= pgSize) {
                            pgPrdtArray[incrI] += '<tr>' + $(this).html() + '</tr>';
                            newPgPrdtHeight += $(this).height();
                            pgprdthghtArray[incrI] = newPgPrdtHeight;
                        } else {
                            if (index != 0) {
                                incrI++;
                            }
                            pgPrdtArray[incrI] = '<tr>' + $(this).html() + '</tr>';
                            newPgPrdtHeight = $(this).height();
                            pgprdthghtArray[incrI] = newPgPrdtHeight;
                        }
                    } else {
                        if ((mainHeaderHeight + prdtHeaderHeight + newPgPrdtHeight + $(this).height() + prdtFooterHeight + lastPgFooterHeight) <= pgSize) {
                            pgPrdtArray[incrI] += '<tr>' + $(this).html() + '</tr>';
                            newPgPrdtHeight += $(this).height();
                            pgprdthghtArray[incrI] = newPgPrdtHeight;
                        } else {
                            if (index != 0) {
                                incrI++;
                            }
                            pgPrdtArray[incrI] = '<tr>' + $(this).html() + '</tr>';
                            newPgPrdtHeight = $(this).height();
                            pgprdthghtArray[incrI] = newPgPrdtHeight;
                        }
                    }
                }
            });

            newPgCont = $('body').html();
            $('body').html('');
            $.each(pgPrdtArray, function(index, prdtContent) {
                if ((index + 1) == pgPrdtArray.length) {
                    //entering
                    //pgDetail = mainHeader+firstPgHeader+prdtContStartTxt+prdtHeader+'<tbody>'+prdtContent+'</tbody>'+prdtFooter+prdtContEndTxt+dummyFooter+lastPgFooter;
                    pgDetail = mainHeader + prdtContStartTxt + prdtHeader + '<tbody>' + prdtContent + '</tbody>' + prdtFooter + prdtContEndTxt + lastPgFooter;

                } else {
                    //setLessHeight=(pgSize-(mainHeaderHeight+firstPgHeaderHeight+dummyFooterHeight+prdtHeaderHeight+pgprdthghtArray[index]+prdtNewFooterHeight));
                    setLessHeight = (pgSize - (mainHeaderHeight + prdtHeaderHeight + pgprdthghtArray[index] + prdtNewFooterHeight));
                    if (lastPgFooterHeight < setLessHeight) {
                        if (pgfont != '2') {
                            $('body').html(newPgCont);
                            $('td').css({
                                "font-size": "12px"
                            });
                            $('table.main').css({
                                "font-size": "12px"
                            });
                            $('.text01').css({
                                "font-size": "12px"
                            });
                            $('.autoGenTxt').css({
                                "font-size": "12px"
                            });
                            changePageFont('2');
                            return false;
                        }
                        newPgFooter = '<tr height="auto;"><td colspan="2" align="right" style="border-top:1px solid #000" valign="top">Continued...</td></tr>';
                        newPgFooterHeight = 20;
                    } else {
                        //Entering
                        newPgFooter = '<tr height="' + setLessHeight + 'px" class="newfooter"><td colspan="2" style="border-top:1px solid #000" align="right" valign="top">Continued...</td></tr>';
                    }

                    //pgDetail = mainHeader+firstPgHeader+prdtContStartTxt+prdtHeader+'<tbody>'+prdtContent+'</tbody>'+prdtNewFooter+prdtContEndTxt+dummyFooter+newPgFooter;
                    pgDetail = mainHeader + prdtContStartTxt + prdtHeader + '<tbody>' + prdtContent + '</tbody>' + prdtNewFooter + prdtContEndTxt + newPgFooter;
                }
                $('body').append('<table border="0" width="980" cellspacing="0" cellpadding="0"><tr><td width="20" align="left"></td><td width="200" align="left" valign="middle">Page ' + (index + 1) + ' of ' + pgPrdtArray.length + '</td><td width="440" align="right" class="pgTypeTxt" style="font-style:italic;"></td><td width="20" align="left" valign="middle">&nbsp;</td></tr></table>' + newPgCont);
                $('.dashboard-section:eq(' + index + ') .main').html('<tbody>' + pgDetail + '</tbody>');

                if ((index + 1) == pgPrdtArray.length) {
                    if ($('.dashboard-section:eq(' + index + ')').height() <= pgSize) {
                        trToAppend = '<tr class="hgtDiffTr">' + $('.prdtMainTbl > tbody > tr:first').html() + '</tr>';
                        $('.dashboard-section:eq(' + index + ') .prdtMainTbl > tbody').append(trToAppend);
                        $('.hgtDiffTr td').html('&nbsp;');
                        setLessHeight = ((pgSize - 10) - $('.dashboard-section:eq(' + index + ')').height()) + $('.dashboard-section:eq(' + index + ') .hgtDiffTr').height();
                        $('.dashboard-section:eq(' + index + ') .hgtDiffTr').height(setLessHeight);
                    }
                } else {
                    if ($('.dashboard-section:eq(' + index + ')').height() <= pgSize) {
                        setLessHeight = ((pgSize - 10) - $('.dashboard-section:eq(' + index + ')').height()) + $('.dashboard-section:eq(' + index + ') .main > tbody > tr:eq(2)').height();
                        $('.dashboard-section:eq(' + index + ') .main > tbody > tr:eq(2)').height(setLessHeight);

                    }
                }
                pgTotalAmt = 0;
                pgqty = 0;
                pgoneqty = 0;
                pgtwoqty = 0;
                $('.dashboard-section:eq(' + index + ') .prdtMainTbl > tbody > tr > td:last-child:not(.unitlevamttot)').each(function(index, element) { //alert($(this).text());
                    if ($.trim($(this).text()) != "")
                        pgTotalAmt = parseFloat(pgTotalAmt) + parseFloat($(this).text().replace(/[^0-9.-]+/g, ""));
                    //pgTotalAmt = parseFloat(pgTotalAmt) + parseFloat($(this).text().replace(/,/g,""));
                });
                $('.dashboard-section:eq(' + index + ') .prdtMainTbl > tbody > tr > td.qty').each(function(index, element) {
                    if ($.trim($(this).text()) != "")
                        pgqty = parseFloat(pgqty) + parseFloat($(this).text().replace(/,/g, ""));
                });

                $('.dashboard-section:eq(' + index + ') .prdtMainTbl > tbody > tr > td.qtyone').each(function(index, element) {
                    if ($.trim($(this).text()) != "")
                        pgoneqty = parseFloat(pgoneqty) + parseFloat($(this).text().replace(/,/g, ""));
                });

                $('.dashboard-section:eq(' + index + ') .prdtMainTbl > tbody > tr > td.qtytwo').each(function(index, element) {
                    if ($.trim($(this).text()) != "")
                        pgtwoqty = parseFloat(pgtwoqty) + parseFloat($(this).text().replace(/,/g, ""));
                });

                $('.dashboard-section:eq(' + index + ') .prdtMainTbl .pgTotTxt').text(pgTotalAmt.toFixed(2));
                $('.dashboard-section:eq(' + index + ') .prdtMainTbl .totqty').text(pgqty.toFixed(2));
                $('.dashboard-section:eq(' + index + ') .prdtMainTbl .totoneqty').text(pgoneqty.toFixed(2));
                $('.dashboard-section:eq(' + index + ') .prdtMainTbl .tottwoqty').text(pgtwoqty.toFixed(2));
                $('.dashboard-section:eq(' + index + ') .pageNo').text((index + 1));
                //alert(pgqty+"=>"+pgoneqty+"=>"+pgtwoqty);
            });
            if ($("td").hasClass("pgcontinue")) {
                $(".pgcontinue").not(':last').text("(Continue...)");
                pgcontinueheight = $(".pgcontinue:last").height();
                $(".pgcontinue").not(':last').css({
                    "height": pgcontinueheight,
                    "vertical-align": "bottom",
                    "text-align": "right"
                });
            }
        }
        if ($('.dashboard-section').length == 1 && $('.dashboard-section').height() <= pgSize) {
            trToAppend = '<tr class="hgtDiffTr">' + $('.prdtMainTbl > tbody > tr:first').html() + '</tr>';
            $('.prdtMainTbl > tbody').append(trToAppend);
            $('.hgtDiffTr td').html('&nbsp;');
            setLessHeight = ((pgSize - 10) - $('.dashboard-section').height()) + $('.hgtDiffTr').height();
            if (clientid == '20331' || clientid == '20390') {
                prdtHeaderHeight = $('.prdtMainTbl > thead').height();
                pgPrdtArray = new Array();
                PrDincrI = 0;
                TaxincrI = 0;
                newPgPrdtHeight = 0;
                newPgTaxHeight = 0;
                $('.prdtMainTbl > tbody > tr').each(function(index, element) {
                    newPgPrdtHeight += $(this).height();
                    PrDincrI++;
                });
                $('.prdtMainTbl > tfoot > tr').each(function(index, element) {
                    newPgTaxHeight += $(this).height();
                    TaxincrI++;
                });
                emptyTrHeight = $('#emptyTr').height(); //202
                TaxHeight = (5 - TaxincrI) * 40;
                PrdHeight = (4 - PrDincrI) * 40;

                $('#emptyTr').height(emptyTrHeight + PrdHeight + TaxHeight);
            }
            $('.hgtDiffTr').height(setLessHeight);
            if (clientid != '20331' && clientid != '20390' && clientid != '33382' && clientid != '36565') {
                $('body').prepend('<table border="0" width="980" cellspacing="0" cellpadding="0"><tr><td width="20" align="left"></td><td width="200" align="left" valign="middle"></td><td width="440" align="right" class="pgTypeTxt"  style="font-style:italic;"></td><td width="20" align="left" valign="middle">&nbsp;</td></tr></table>');
            }
        }


        if (pgfont != '2' && printList.length > 0) {
            toRepeatContent = $('body').html();
            $('body').html('');
            $.each(printList, function(index, printText) {
                $('body').append(toRepeatContent);
                $('.pgTypeTxt').each(function(index, element) {
                    if ($(this).text() == "")
                        $(this).text('( ' + printText.capitalize() + ' )');
                });
            });
        }
        $('body > table').each(function(index, element) {
            if (index != 0)
                $(this).css({
                    'page-break-before': 'always'
                });
        });
        window.print();
        return false;
    }
    $(document).ready(function() {
        var pagefont = 0;
        if ($('.dashboard-section').height() > pgSize) {
            mainHeaderHeight = $('table.main > tbody > tr:eq(0)').height(); //202
            mainHeader = '<tr>' + $('table.main > tbody > tr:eq(0)').html() + '</tr>';
            lastPgFooterHeight = $('table.main > tbody > tr:eq(2)').height();
            lastPgFooter = '<tr style="vertical-align:bottom;">' + $('table.main > tbody > tr:eq(2)').html() + '</tr>';
            //Mohan font size change
            newPgCont = $('body').html();
            $('body').html(newPgCont);
            if (clientid != '34909') {
                if (clientid != '28510') {
                    $('td').css({
                        "font-size": "10px"
                    });
                    $('table.main').css({
                        "font-size": "10px"
                    });
                    $('.text01').css({
                        "font-size": "10px"
                    });
                    $('.autoGenTxt').css({
                        "font-size": "10px"
                    });
                }
                changePageFont();
                return false;
            }
            newPgFooter = '<tr height="auto;"><td colspan="2" align="right" valign="top">Continued...</td></tr>';
            newPgFooterHeight = 20;

            prdtContStartTxt = '<tr><td colspan="2"><table class="prdtMainTbl" width="100%" cellspacing="0" cellpadding="0" border="0" style="color:#000; font-family:Arial, Helvetica, sans-serif; font-size:12px;">';
            prdtContEndTxt = '</table></td></tr>';

            prdtHeaderHeight = $('.prdtMainTbl > thead').height();
            prdtHeader = '<thead>' + $('.prdtMainTbl > thead').html() + '</thead>';
            prdtFooterHeight = $('.prdtMainTbl > tfoot').height();
            prdtFooter = '<tfoot>' + $('.prdtMainTbl > tfoot').html() + '</tfoot>';
            prdtNewFooterHeight = $('.prdtMainTbl > tfoot > tr:first-child').height();
            var firstchldlen = $('.prdtMainTbl > tfoot > tr:first-child td').length;
            $('.prdtMainTbl > tfoot > tr:first-child td').each(function(index, element) {
                $(this).html('');
                if (index == 0) {
                    $(this).removeAttr("rowspan");
                    $(this).attr({
                        'colspan': '2'
                    });
                    $(this).css({
                        'border-bottom': '1px solid #000'
                    });
                    $(this).html('<b>Page Total (' + $('.currency').text() + ')</b>');
                }
                if (index == 1) {
                    $(this).remove();
                }

                if (index == (firstchldlen - 1)) {
                    $(this).html('<b class="pgTotTxt"></b>');
                }
            });

            prdtNewFooter = "";
            continueTxt = "";
            if (clientid == '36247') {
                prdtNewFooter = '<tfoot><tr class="pgtotal"><td colspan="' + firstchldlen + '" style="border-bottom:1px solid #000"></td></tr></tfoot>';
            } else if (clientid != '36565' && clientid != '36879') {

                prdtNewFooter = '<tfoot><tr class="pgtotal">' + $('.prdtMainTbl > tfoot > tr:first-child').html() + '</tr></tfoot>';
                continueTxt = "Continued...";
            }

            pgPrdtArray = new Array();
            pgprdthghtArray = new Array();
            incrI = 0;
            newPgPrdtHeight = 0;
            pgPrdtArray[0] = '';
            $('.prdtMainTbl > tbody > tr').each(function(index, element) {
                if ($('.prdtMainTbl > tbody > tr').length == 1) {
                    pgPrdtArray[incrI] = '<tr>' + $(this).html() + '</tr>';
                    newPgPrdtHeight = $(this).height();
                    pgprdthghtArray[incrI] = newPgPrdtHeight;
                } else {
                    if ($('.prdtMainTbl > tbody > tr').length != (index + 1)) {
                        if ((mainHeaderHeight + prdtHeaderHeight + newPgPrdtHeight + $(this).height() + prdtNewFooterHeight + newPgFooterHeight) <= pgSize) {
                            pgPrdtArray[incrI] += '<tr>' + $(this).html() + '</tr>';
                            newPgPrdtHeight += $(this).height();
                            pgprdthghtArray[incrI] = newPgPrdtHeight;
                        } else {
                            if (index != 0) {
                                incrI++;
                            }
                            pgPrdtArray[incrI] = '<tr>' + $(this).html() + '</tr>';
                            newPgPrdtHeight = $(this).height();
                            pgprdthghtArray[incrI] = newPgPrdtHeight;
                        }
                    } else {
                        if ((mainHeaderHeight + prdtHeaderHeight + newPgPrdtHeight + $(this).height() + prdtFooterHeight + lastPgFooterHeight) <= pgSize) {
                            pgPrdtArray[incrI] += '<tr>' + $(this).html() + '</tr>';
                            newPgPrdtHeight += $(this).height();
                            pgprdthghtArray[incrI] = newPgPrdtHeight;
                        } else {
                            if (index != 0) {
                                incrI++;
                            }
                            pgPrdtArray[incrI] = '<tr>' + $(this).html() + '</tr>';
                            newPgPrdtHeight = $(this).height();
                            pgprdthghtArray[incrI] = newPgPrdtHeight;
                        }
                    }
                }
            });
            newPgCont = $('body').html();
            $('body').html('');
            $.each(pgPrdtArray, function(index, prdtContent) {
                if ((index + 1) == pgPrdtArray.length) {
                    pgDetail = mainHeader + prdtContStartTxt + prdtHeader + '<tbody>' + prdtContent + '</tbody>' + prdtFooter + prdtContEndTxt + lastPgFooter;
                } else {
                    setLessHeight = (pgSize - (mainHeaderHeight + prdtHeaderHeight + pgprdthghtArray[index] + prdtNewFooterHeight));
                    newPgFooter = '<tr height="' + setLessHeight + 'px" class="newfooter"><td colspan="2" align="right" valign="top">' + continueTxt + '</td></tr>';


                    pgDetail = mainHeader + prdtContStartTxt + prdtHeader + '<tbody>' + prdtContent + '</tbody>' + prdtNewFooter + prdtContEndTxt + newPgFooter;
                }
                var pgnoCnt = "";
                /*if(clientid=='36565') {
                    if(pgPrdtArray.length>1 && index>0) {
                        pgnoCnt='<table border="0" width="980" class="testing" cellspacing="0" cellpadding="0"><tr><td width="20" align="left" valign="middle" style="height:45px;">&nbsp;</td></tr></table>';
                    }
                } else*/
                if (clientid != '36879' && clientid != '36565') {
                    pgnoCnt = '<table border="0" width="980" cellspacing="0" cellpadding="0"><tr><td width="20" align="left"></td><td width="200" align="left" valign="middle">Page ' + (index + 1) + ' of ' + pgPrdtArray.length + '</td><td width="440" align="right" class="pgTypeTxt" style="font-style:italic;"></td><td width="20" align="left" valign="middle">&nbsp;</td></tr></table>';
                }
                $('body').append(pgnoCnt + newPgCont);
                $('.dashboard-section:eq(' + index + ') .main').html('<tbody>' + pgDetail + '</tbody>');

                if ((index + 1) == pgPrdtArray.length) {
                    if ($('.dashboard-section:eq(' + index + ')').height() <= pgSize) {
                        trToAppend = '<tr class="hgtDiffTr">' + $('.prdtMainTbl > tbody > tr:first').html() + '</tr>';
                        $('.dashboard-section:eq(' + index + ') .prdtMainTbl > tbody').append(trToAppend);
                        $('.hgtDiffTr td').html('&nbsp;');
                        setLessHeight = ((pgSize - 10) - $('.dashboard-section:eq(' + index + ')').height()) + $('.dashboard-section:eq(' + index + ') .hgtDiffTr').height();
                        if (clientid == '36879' || (clientid == '36565' && pgSize < 500)) {
                            setLessHeight += 20;
                        }
                        if (clientid == '36565' && index != 0) {
                            setLessHeight += 20;
                        }
                        if (clientid == '36565' && pgPrdtArray.length == 1) {
                            setLessHeight += 30;
                        }
                        $('.dashboard-section:eq(' + index + ') .hgtDiffTr').height(setLessHeight);
                    } else if (clientid == '36565' && pgPrdtArray.length == 1) {
                        trToAppend = '<tr class="hgtDiffTr">' + $('.prdtMainTbl > tbody > tr:first').html() + '</tr>';
                        $('.dashboard-section:eq(' + index + ') .prdtMainTbl > tbody').append(trToAppend);
                        $('.hgtDiffTr td').html('&nbsp;');
                        setLessHeight = ((pgSize - 10) - $('.dashboard-section:eq(' + index + ')').height()) + $('.dashboard-section:eq(' + index + ') .hgtDiffTr').height();
                        setLessHeight += 38;
                        $('.dashboard-section:eq(' + index + ') .hgtDiffTr').height(setLessHeight);
                    }
                } else {
                    if ($('.dashboard-section:eq(' + index + ')').height() <= pgSize) {
                        setLessHeight = ((pgSize - 10) - $('.dashboard-section:eq(' + index + ')').height()) + $('.dashboard-section:eq(' + index + ') .main > tbody > tr:eq(2)').height();
                        $('.dashboard-section:eq(' + index + ') .main > tbody > tr:eq(2)').height(setLessHeight);
                    }
                }
                pgTotalAmt = 0;
                pgqty = 0;
                pgoneqty = 0;
                pgtwoqty = 0;
                $('.dashboard-section:eq(' + index + ') .prdtMainTbl > tbody > tr > td:last-child:not(.unitlevamttot)').each(function(index, element) { //alert($(this).text());
                    if ($.trim($(this).text()) != "")
                        pgTotalAmt = parseFloat(pgTotalAmt) + parseFloat($(this).text().replace(/[^0-9.-]+/g, ""));
                    //pgTotalAmt = parseFloat(pgTotalAmt) + parseFloat($(this).text().replace(/,/g,""));
                });
                $('.dashboard-section:eq(' + index + ') .prdtMainTbl > tbody > tr > td.qty').each(function(index, element) {
                    if ($.trim($(this).text()) != "")
                        pgqty = parseFloat(pgqty) + parseFloat($(this).text().replace(/,/g, ""));
                });

                $('.dashboard-section:eq(' + index + ') .prdtMainTbl > tbody > tr > td.qtyone').each(function(index, element) {
                    if ($.trim($(this).text()) != "")
                        pgoneqty = parseFloat(pgoneqty) + parseFloat($(this).text().replace(/,/g, ""));
                });

                $('.dashboard-section:eq(' + index + ') .prdtMainTbl > tbody > tr > td.qtytwo').each(function(index, element) {
                    if ($.trim($(this).text()) != "")
                        pgtwoqty = parseFloat(pgtwoqty) + parseFloat($(this).text().replace(/,/g, ""));
                });

                $('.dashboard-section:eq(' + index + ') .prdtMainTbl .pgTotTxt').text(pgTotalAmt.toFixed(2));
                $('.dashboard-section:eq(' + index + ') .prdtMainTbl .totqty').text(pgqty.toFixed(2));
                $('.dashboard-section:eq(' + index + ') .prdtMainTbl .totoneqty').text(pgoneqty.toFixed(2));
                $('.dashboard-section:eq(' + index + ') .prdtMainTbl .tottwoqty').text(pgtwoqty.toFixed(2));
                $('.dashboard-section:eq(' + index + ') .pageNo').text((index + 1));
                if ((clientid == '36879' || clientid == '36565') && index == 0) {
                    $('.dashboard-section:eq(' + index + ') .main').css({
                        'margin-top': '25px'
                    });
                } else if (clientid == '36565' && index != 0) {
                    if (index == "1") {
                        //$('.dashboard-section:eq('+index+') .main').css({'margin-top':'-20px'});
                    } else {
                        $('.dashboard-section:eq(' + index + ') .main').css({
                            'margin-top': '25px'
                        });
                    }
                    $('.dashboard-section:eq(' + index + ') .prdtMainTbl > thead > tr > td').height(35);
                }
            });
        }
        if ($('.dashboard-section').length == 1 && $('.dashboard-section').height() <= pgSize) {
            trToAppend = '<tr class="hgtDiffTr">' + $('.prdtMainTbl > tbody > tr:first').html() + '</tr>';
            $('.prdtMainTbl > tbody').append(trToAppend);
            $('.hgtDiffTr td').html('&nbsp;');
            setLessHeight = ((pgSize - 10) - $('.dashboard-section').height()) + $('.hgtDiffTr').height();
            if (clientid == '36565' || clientid == '36879') {
                setLessHeight = setLessHeight + 13;
            }
            if (clientid == '37583') {
                setLessHeight += 30;
            }
            if (clientid == '36879') {
                setLessHeight += 20;
            }
            if (clientid == '36565' && pgSize < 500) {
                setLessHeight += 30;
            }
            if (clientid == '20331' || clientid == '20390') {
                prdtHeaderHeight = $('.prdtMainTbl > thead').height();
                pgPrdtArray = new Array();
                PrDincrI = 0;
                TaxincrI = 0;
                newPgPrdtHeight = 0;
                newPgTaxHeight = 0;
                $('.prdtMainTbl > tbody > tr').each(function(index, element) {
                    newPgPrdtHeight += $(this).height();
                    PrDincrI++;
                });
                $('.prdtMainTbl > tfoot > tr').each(function(index, element) {
                    newPgTaxHeight += $(this).height();
                    TaxincrI++;
                });
                emptyTrHeight = $('#emptyTr').height(); //202
                TaxHeight = (5 - TaxincrI) * 40;
                PrdHeight = (4 - PrDincrI) * 40;

                $('#emptyTr').height(emptyTrHeight + PrdHeight + TaxHeight);
            }
            $('.hgtDiffTr').height(setLessHeight);
            if (clientid != '20331' && clientid != '20390' && clientid != '33382' && clientid != '36565' && clientid != '36879') {
                $('body').prepend('<table border="0" width="980" cellspacing="0" cellpadding="0"><tr><td width="20" align="left"></td><td width="200" align="left" valign="middle"></td><td width="440" align="right" class="pgTypeTxt"  style="font-style:italic;"></td><td width="20" align="left" valign="middle">&nbsp;</td></tr></table>');
            }
            if (clientid == '36879' || clientid == '36565') {
                $('.dashboard-section:eq(0) .main').css({
                    'margin-top': '25px'
                });
            }
        }



        printList = [];

        if (printList.length > 0) {
            toRepeatContent = $('body').html();
            $('body').html('');
            $.each(printList, function(index, printText) {
                $('body').append(toRepeatContent);
                $('.pgTypeTxt').each(function(index, element) {
                    if ($(this).text() == "")
                        $(this).text('( ' + printText.capitalize() + ' )');
                });
            });
        }
        $('body > table').each(function(index, element) {
            if (index != 0)
                $(this).css({
                    'page-break-before': 'always'
                });
        });
        window.print();
    });
    String.prototype.capitalize = function() {
        return this.charAt(0).toUpperCase() + this.slice(1);
    }
</script>
<style type="text/css">
    .invCancelledPrint {
        width: 670px;
        display: block;
        height: 96%;
        position: absolute;
        text-align: center;
        vertical-align: middle;
    }
</style>

<body>
    <div class="currency" style="display:none;">Rs</div>


    <?php if ($model->point_of_supply != 21) { ?>



        <div class="dashboard-section" style=" margin:4px; width:980px; ">
            <style type="text/css">
                td {
                    font-size: 10px;
                    font-family: Arial, Helvetica, sans-serif;
                }

                .toppad {
                    padding-top: 3px;
                }

                .leftpad {
                    padding-left: 3px;
                }

                .rightpad {
                    padding-right: 3px;
                }

                .bottompad {
                    padding-bottom: 3px;
                }

                .allpad {
                    padding: 3px;
                }

                .topline {
                    border-top: 1px solid #000;
                }

                .leftline {
                    border-left: 1px solid #000;
                }

                .rightline {
                    border-right: 1px solid #000;
                }

                .bottomline {
                    border-bottom: 1px solid #000;
                }

                .allline {
                    border: 1px solid #000;
                }

                .left {
                    text-align: left;
                }

                .right {
                    text-align: right;
                }

                .center {
                    text-align: center;
                }

                .top {
                    vertical-align: top;
                }

                .bottom {
                    vertical-align: bottom;
                }

                .middle {
                    vertical-align: middle;
                }

                p {
                    margin: 0px;
                    text-align: left;
                }

                .bold {
                    font-weight: bold;
                }
                .for-terms ul{
                    padding-inline-start: 20px !important;

                }
            </style>
            <div style="margin:4px; width:99%; border:1px solid #000;">
                <table border="0" cellpadding="0" cellspacing="0" class="main" width="100%">
                    <tbody>
                        <tr>
                            <td>
                                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                    <tbody>
                                        <tr>
                                            <td class="allpad top" width="30%"><span style="font-size:16px; font-weight:bold;"><?= $template->company_name ?></span><br /> <?= $template->address ?><br /> <?= $template->city ?>,<?= $template->state ?> , Code: <?= $template->pin ?>,<br /> <?= $template->country ?> - <br /> Mobile no: <?= $template->mobile ?>, Phone no: <?= $template->phone_no ?>,<br /> GSTIN : <?= $template->gst_no ?>,<br /> Fax no: <?= $template->fax_no ?> : Trade License :-<?= $template->trade_licence ?>,<br /> Email: <?= $template->email ?></td>
                                            <td>
                                                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                                    <tbody>
                                                        <tr>
                                                            <td class="center" colspan="2"><span style="font-size:16px; font-weight:bold;"><?php echo $template->template_name ?></span></td>
                                                            <td class="right"><img height="39" src="<?= Url::base(); ?>/theme/images/1569578921_Mohapatra_Logo.JPG?>" /></td>
                                                        </tr>
                                                        <tr>
                                                            <td class="allpad" valign="top" width="35%">BILLING ADDRESS<br /> <b style="font-size:15px; font-weight:bold;"><?= $customer->business_name ?></b><br /> GST No: <?= $customer->gstin_no ?><br /> <?= $customer->adderss_line_1 ?>,<?= $customer->adderss_line_2 ?>,<?= $customer->adderss_line_3 ?>, <?= $customer->city ?>,<?= $customer->state ?>,<?= $customer->country ?>-<?= $customer->pin_code ?><br /> Mobile no: <?= $customer->mobile ?>,<br /> Fax no: <?= $customer->fax ?>,<br /> Email: <?= $customer->email ?></td>
                                                            <td valign="top" width="35%">SHIPPING ADDRESS<br /> <b style="font-size:15px; font-weight:bold;"><?= $customer->business_name ?></b><br /> GST No: <?= $customer->gstin_no ?><br /> <?= $customer->shipping_address_1 ?>,<?= $customer->shipping_address_2 ?>,<?= $customer->shipping_address_3 ?> , <?= $customer->shipping_city ?>,<?= $customer->shipping_state ?>,<?= $customer->shipping_country ?>-<?= $customer->shipping_postcode ?></td>
                                                            <td class="right"><strong>TAX INVOICE No : <?= $model->invoice_id ?></strong><br /> Date : <?= date('F j Y', strtotime($model->date)) ?><br /> Due Date : <?= date('F j Y', strtotime($model->due_date)) ?><br /> Payment Terms : <?= $model->terms_of_payment ?><br /> PO No : <?= $model->po_number ?><br /> PO Date :<?php if ($model->po_date != '') { ?>
                                                                <?= date('F j Y', strtotime($model->po_date)) ?>
                                                                <?php } else { ?><?php } ?> <br /> Challan No : <?= $challan_List ?> <br /> Challan Date : <?php if ($max_challan_date != '') { ?>
                                                                    <?= date('F j Y', strtotime($max_challan_date)) ?>
                                                                    <?php } else { ?><?php } ?></td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table border="0" cellpadding="0" cellspacing="0" class="prdtMainTbl" id="ProdTbl" width="100%">
                                    <thead>
                                        <tr style="background-color:#CCC;">
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="4%">S.NO</td>
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="40%">ITEM</td>
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="5%">HSN/SAC</td>
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="5%">BRAND</td>
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="4%">QTY</td>
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="7%">UNIT PRICE</td>
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="7%">ITEM TOTAL</td>
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="5%">DISCOUNT</td>
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="7%">TAXABLE AMT</td>
                                            <td class="allpad topline bottomline rightline center bold" colspan="2" width="6%">IGST</td>
                                            <td class="allpad topline bottomline center bold" rowspan="2" width="10%">AMOUNT</td>
                                        </tr>
                                        <tr style="background-color:#CCC;">
                                            <td class="allpad bottomline rightline center bold" width="2%">%</td>
                                            <td class="allpad bottomline rightline center bold" width="4%">AMT</td>
                                        </tr>
                                    </thead>
                                    <tbody>


                                        <?php $count = 1;
                                        $total = 0;
                                        foreach ($products as $key => $value) {
                                            $check_product = Product::find()->where(['id' => $value->product_id])->one();
                                            if ($check_product->show_inventory == 1) {
                                        ?>

                                                <tr>
                                                    <td class="allpad rightline center top"><?= $count++ ?></td>
                                                    <td class="allpad rightline top left"><?= Product::find()->where(['id' => $value->product_id])->one()->product_name ?><br /> </td>
                                                    <td class="allpad rightline top left"><?= Product::find()->where(['id' => $value->product_id])->one()->hsn_sac_code ?></td>
                                                    <td class="allpad rightline top center"><?= $value->description ?></td>
                                                    <td class="allpad rightline top center"><?= $value->quantity ?></td>
                                                    <td class="allpad rightline top left"><?= $value->unit_price ?></td>
                                                    <td class="allpad rightline top right"><?= $value->price ?></td>
                                                    <td class="allpad rightline top center"><?= $value->discount ?> <?= $value->discount_type ?></td>
                                                    <td class="allpad rightline top right"><?php if ($value->discount_type == "FLAT") { ?>
                                                            ($value->unit_price-$value->discount)*$value->quantity
                                                        <?php } ?>
                                                        <?php if ($value->discount_type == "%") { ?>
                                                            <?= $value->price - (($value->price * $value->discount) / 100) ?>
                                                        <?php } ?>

                                                        <?php if ($value->discount_type == "") { ?>
                                                            <?= $value->price ?>
                                                        <?php } ?></td>
                                                    <td class="allpad rightline top center"><?php
                                                         $tax_percent= number_format(AccountingTax::find()->select(['tax_rate'])->where(['accounting_tax_id' => $value->tax])->one()->tax_rate ?? 0, 2) ;

                                                                                             ?>
                                                        <?= number_format($tax_percent, 2) ?>
                                                    </td>
                                                    <td class="allpad rightline top right"><?php
                                                                                            $tax_percent = number_format(AccountingTax::find()->select(['tax_rate'])->where(['accounting_tax_id' => $value->tax])->one()->tax_rate ?? 0,2);
                                                                                            ?>

                                                        <?php if ($value->discount_type == "FLAT") { ?>
                                                            <?= number_format((((($value->unit_price - $value->discount) * $value->quantity) * (($tax_percent))) / 100), 2) ?>

                                                        <?php } ?>
                                                        <?php if ($value->discount_type == "%") { ?>
                                                            <?= number_format(((($value->price - (($value->price * $value->discount) / 100)) * (($tax_percent))) / 100), 2) ?>

                                                        <?php } ?>

                                                        <?php if ($value->discount_type == "") { ?>
                                                            <?= number_format(((($value->price) * (($tax_percent))) / 100), 2) ?>

                                                        <?php } ?>

                                                    </td>
                                                    <td class="allpad right top">
                                                        <?php if ($value->tax_included == 1) {
                                                            echo $value->amount;
                                                            $tot = 0;
                                                        } else {
                                                            if ($value->discount_type == "FLAT") {
                                                                $tot =  $value->amount + ((($value->unit_price - $value->discount) * $value->quantity) * $tax_percent) / 100;
                                                                echo  number_format($value->amount + ((($value->unit_price - $value->discount) * $value->quantity) * $tax_percent) / 100, 2);
                                                            }
                                                            if ($value->discount_type == "%") {
                                                                $tot = $value->amount + ((($value->price - (($value->price * $value->discount) / 100)) * $tax_percent) / 100);
                                                                echo  number_format($value->amount + ((($value->price - (($value->price * $value->discount) / 100)) * $tax_percent) / 100), 2);
                                                            }

                                                            if ($value->discount_type == "") {
                                                                $tot = $value->amount + ((($value->price) * $tax_percent) / 100);
                                                                echo number_format($value->amount + ((($value->price) * $tax_percent) / 100), 2);
                                                            }
                                                        }
                                                        ?>
                                                    </td>

                                                </tr>

                                        <?php $total = $total + $tot;
                                            }
                                        } ?>



                                        <?php
                                        foreach ($products as $key => $value) {
                                            $check_product = Product::find()->where(['id' => $value->product_id])->one();
                                            if ($check_product->show_inventory == 0) {
                                        ?>

                                                <tr>
                                                    <td class="allpad rightline center top"><?= $count++ ?></td>
                                                    <td class="allpad rightline top left"><?= Product::find()->where(['id' => $value->product_id])->one()->product_name ?><br /> </td>
                                                    <td class="allpad rightline top left"><?= Product::find()->where(['id' => $value->product_id])->one()->hsn_sac_code ?></td>
                                                    <td class="allpad rightline top center"><?= $value->description ?></td>
                                                    <td class="allpad rightline top center"><?= $value->quantity ?></td>
                                                    <td class="allpad rightline top left"><?= $value->unit_price ?></td>
                                                    <td class="allpad rightline top right"><?= $value->price ?></td>
                                                    <td class="allpad rightline top center"><?= $value->discount ?> <?= $value->discount_type ?></td>
                                                    <td class="allpad rightline top right"><?php if ($value->discount_type == "FLAT") { ?>
                                                            ($value->unit_price-$value->discount)*$value->quantity
                                                        <?php } ?>
                                                        <?php if ($value->discount_type == "%") { ?>
                                                            <?= $value->price - (($value->price * $value->discount) / 100) ?>
                                                        <?php } ?>

                                                        <?php if ($value->discount_type == "") { ?>
                                                            <?= $value->price ?>
                                                        <?php } ?></td>
                                                    <td class="allpad rightline top center"><?php
                                                                                            $tax_percent = AccountingTax::find()->select(['tax_rate'])->where(['accounting_tax_id' => $value->tax])->one()->tax_rate;
                                                                                            ?>
                                                        <?= number_format($tax_percent, 2) ?>
                                                    </td>
                                                    <td class="allpad rightline top right"><?php
                                                                                            $tax_percent = AccountingTax::find()->select(['tax_rate'])->where(['accounting_tax_id' => $value->tax])->one()->tax_rate;
                                                                                            ?>

                                                        <?php if ($value->discount_type == "FLAT") { ?>
                                                            <?= number_format((((($value->unit_price - $value->discount) * $value->quantity) * (($tax_percent))) / 100), 2) ?>

                                                        <?php } ?>
                                                        <?php if ($value->discount_type == "%") { ?>
                                                            <?= number_format(((($value->price - (($value->price * $value->discount) / 100)) * (($tax_percent))) / 100), 2) ?>

                                                        <?php } ?>

                                                        <?php if ($value->discount_type == "") { ?>
                                                            <?= number_format(((($value->price) * (($tax_percent))) / 100), 2) ?>

                                                        <?php  } ?>

                                                    </td>

                                                    <td class="allpad right top">
                                                        <?php if ($value->tax_included == 1) {
                                                            echo $value->amount;
                                                            $tot = 0;
                                                        } else {
                                                            if ($value->discount_type == "FLAT") {
                                                                $tot =  $value->amount + ((($value->unit_price - $value->discount) * $value->quantity) * $tax_percent) / 100;
                                                                echo  number_format($value->amount + ((($value->unit_price - $value->discount) * $value->quantity) * $tax_percent) / 100, 2);
                                                            }
                                                            if ($value->discount_type == "%") {
                                                                $tot = $value->amount + ((($value->price - (($value->price * $value->discount) / 100)) * $tax_percent) / 100);
                                                                echo  number_format($value->amount + ((($value->price - (($value->price * $value->discount) / 100)) * $tax_percent) / 100), 2);
                                                            }

                                                            if ($value->discount_type == "") {
                                                                $tot = $value->amount + ((($value->price) * $tax_percent) / 100);
                                                                echo number_format($value->amount + ((($value->price) * $tax_percent) / 100), 2);
                                                            }
                                                        }
                                                        ?>
                                                    </td>
                                                </tr>

                                        <?php $total = $total + $tot;
                                            }
                                        } ?>



                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <td class='allpad bottomline topline rightline center top' style=''></td>
                                            <td class='allpad bottomline topline rightline top left' style=''><b>Sub Total</b></td>
                                            <td class='allpad bottomline topline rightline top left' style=''></td>
                                            <td class='allpad bottomline topline rightline top center' style=''></td>
                                            <td class='allpad bottomline topline rightline top center' style=''><?= $total_product ?></td>
                                            <td class='allpad bottomline topline rightline top left' style=''></td>
                                            <td class='allpad bottomline topline rightline top right' style=''><?= $actual_amount ?></td>
                                            <td class='allpad bottomline topline rightline top center' style=''></td>
                                            <td class='allpad bottomline topline rightline top right' style=''><?= $taxable_amount ?></td>
                                            <td class='allpad bottomline topline rightline top center' style=''></td>
                                            <td class='allpad bottomline topline rightline top right' style=''><?= number_format(2 * $total_tax, 2) ?></td>
                                            <td class='allpad bottomline topline right top' style=''><?= number_format($total, 2) ?></td>
                                        </tr>
                                        <tr>
                                            <td colspan="11" class="bottomline rightline allpad right"><b>OUTPUT IGST - </b></td>
                                            <td class="bottomline allpad right"><b><?= number_format(2 * $total_tax, 2) ?></b></td>
                                        </tr>

                                        <tr>
                                            <td class="bottomline rightline allpad right" colspan="11"><b>TCS (Rs)</b></td>
                                            <td class="bottomline allpad right"><b><?php if ($model->is_tcs == 1) { ?>
                                                        <?= $model->tcs_amount ?>
                                                    <?php } else { ?>
                                                        <?= 0.00 ?>
                                                    <?php } ?></b></td>
                                        </tr>

                                        <tr>
                                            <td class="bottomline rightline allpad right" colspan="11"><b>Round Off (Rs)</b></td>
                                            <td class="bottomline allpad right"><b><?php if ($model->round_off_amount) { ?>
                                                        <?= $model->round_off_amount ?>
                                                    <?php } else { ?>
                                                        <?= 0.00 ?>
                                                    <?php } ?></b></td>
                                        </tr>
                                        <tr>
                                            <td class="bottomline rightline allpad" colspan="9">Amount in words :<br /> <b><?= $get_amount ?>(INR) Only</b></td>
                                            <td class="bottomline rightline right allpad" colspan="2"><b>Total (Rs)</b></td>
                                            <td class="bottomline right"><b><?= preg_replace("/(\d+?)(?=(\d\d)+(\d)(?!\d))(\.\d+)?/i", "$1,", $model->total_price) ?></b></td>
                                        </tr>
                                    </tfoot>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                    <tbody>
                                        <tr>
                                            <td class="rightline bottomline allpad" valign="top" width="25%">
                                            <div style="text-align:center;"><strong>E Invoice QR Code Image</strong></div></br>
                                                     <img src="data:image/png;base64,<?= $invoice->qr_img ?>" alt="QR Code" style="width: 170px; margin-left: 25%;">
                                             </td>
                                            <td class="rightline bottomline allpad" valign="top" width="25%">
                                                <div style="text-align:center;"><strong>UPI Details</strong></div></br>
                                                <img height="150" src='<?= Url::base() ?>/qr_codes/<?= $template->qr_code ?>' style="display: block; margin: auto;" />
                                            </td>
                                            <td align="right" class="bottomline right allpad"><br /> <img border="0" height="110" src="<?= Url::base() ?>/template_seals/<?= $template->company_seal ?>" /><br /> <b style=""><?= $template->company_signature ?></b><br /> (Authorized Signatory)</td>
                                        </tr>
                                         <tr>
                                         <td class="rightline bottomline allpad" valign="top" width="25%">
                                         <strong style="margin: 0 0.3rem;">E Invoice Details</strong>
                                                <ul type="disc" style= "padding-inline-start: 20px;" >
                                                    <li>Irn - <?= $invoice->irn  ?></li>
                                                    <li>Acknowledgement Number - <?= $invoice->ack_no ?></li>
                                                    <li>Acknowledgement Date - <?= $invoice->ack_dt ?></li>
                                                </ul>
                                         </td>

                                            <td class="rightline bottomline allpad" valign="top" width="5%">
                                                <strong style="margin: 0 0.3rem;">Bank Details</strong>
                                                <ul type="disc" style= "padding-inline-start: 20px;" >
                                                    <li>BANK - <?= $template->bank_name  ?></li>
                                                    <li>ACCOUNT HOLDER - <?= $template->account_holder ?></li>
                                                    <li>ACCOUNT NUMBER - <?= $template->acc_no ?></li>
                                                    <li>IFSC CODE - <?= $template->ifsc_code ?></li>
                                                </ul>
                                            </td>
                                            <td class="rightline bottomline allpad for-terms" valign="top" width="25%">
                                                <strong style="margin: 0 0.3rem;" >Terms and conditions :</strong>
                                               <?= $template->terms_and_condition ?>
                                               
                                    
                                            </td>
                                        </tr>

                                    </tbody>
                                </table>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>




    <?php } else { ?>

        <div class="dashboard-section" style=" margin:4px; width:980px; ">
            <style type="text/css">
                td {
                    font-size: 10px;
                    font-family: Arial, Helvetica, sans-serif;
                }

                .toppad {
                    padding-top: 3px;
                }

                .leftpad {
                    padding-left: 3px;
                }

                .rightpad {
                    padding-right: 3px;
                }

                .bottompad {
                    padding-bottom: 3px;
                }

                .allpad {
                    padding: 3px;
                }

                .topline {
                    border-top: 1px solid #000;
                }

                .leftline {
                    border-left: 1px solid #000;
                }

                .rightline {
                    border-right: 1px solid #000;
                }

                .bottomline {
                    border-bottom: 1px solid #000;
                }

                .allline {
                    border: 1px solid #000;
                }

                .left {
                    text-align: left;
                }

                .right {
                    text-align: right;
                }

                .center {
                    text-align: center;
                }

                .top {
                    vertical-align: top;
                }

                .bottom {
                    vertical-align: bottom;
                }

                .middle {
                    vertical-align: middle;
                }

                p {
                    margin: 0px;
                    text-align: left;
                }

                .bold {
                    font-weight: bold;
                }
                .for-terms ul{
                    padding-inline-start: 20px;

                }
            </style>
            <div style="margin:4px; width:99%; border:1px solid #000;">
                <table border="0" cellpadding="0" cellspacing="0" class="main" width="100%">
                    <tbody>
                        <tr>
                            <td>
                                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                    <tbody>
                                        <tr>
                                            <td class="allpad top" width="30%"><span style="font-size:16px; font-weight:bold;"><?= $template->company_name ?></span><br /> <?= $template->address ?><br /> <?= $template->city ?>,<?= $template->state ?> , Code: <?= $template->pin ?>,<br /> <?= $template->country ?> - <br /> Mobile no: <?= $template->mobile ?>, Phone no: <?= $template->phone_no ?>,<br /> GSTIN : <?= $template->gst_no ?>,<br /> Fax no: <?= $template->fax_no ?> : Trade License :-<?= $template->trade_licence ?>,<br /> Email: <?= $template->email ?></td>
                                            <td>
                                                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                                    <tbody>
                                                        <tr>
                                                            <td class="center" colspan="2"><span style="font-size:16px; font-weight:bold;"><?php echo $template->template_name ?></span></td>
                                                            <td class="right"><img height="39" src="../../theme/images/1569578921_Mohapatra_Logo.JPG" /></td>
                                                        </tr>
                                                        <tr>
                                                            <td class="allpad" valign="top" width="35%">BILLING ADDRESS<br /> <b style="font-size:15px; font-weight:bold;"><?= $customer->business_name ?></b><br /> GST No: <?= $customer->gstin_no ?><br /> <?= $customer->adderss_line_1 ?>,<?= $customer->adderss_line_2 ?>,<?= $customer->adderss_line_3 ?>, <?= $customer->city ?>,<?= $customer->state ?>,<?= $customer->country ?>-<?= $customer->pin_code ?><br /> Mobile no: <?= $customer->mobile ?>,<br /> Fax no: <?= $customer->fax ?>,<br /> Email: <?= $customer->email ?></td>
                                                            <td valign="top" width="35%">SHIPPING ADDRESS<br /> <b style="font-size:15px; font-weight:bold;"><?= $customer->business_name ?></b><br /> GST No: <?= $customer->gstin_no ?><br /> <?= $customer->shipping_address_1 ?>,<?= $customer->shipping_address_2 ?>,<?= $customer->shipping_address_3 ?> , <?= $customer->shipping_city ?>,<?= $customer->shipping_state ?>,<?= $customer->shipping_country ?>-<?= $customer->shipping_postcode ?></td>
                                                            <td class="right"><strong>TAX INVOICE No : <?= $model->invoice_id ?></strong><br /> Date : <?= date('F j Y', strtotime($model->date)) ?><br /> Due Date : <?= date('F j Y', strtotime($model->due_date)) ?><br /> Payment Terms : <?= $model->terms_of_payment ?><br /> PO No : <?= $model->po_number ?><br /> PO Date :<?php if ($model->po_date != '') { ?>
                                                                <?= date('F j Y', strtotime($model->po_date)) ?>
                                                                <?php } else { ?><?php } ?> <br /> Challan No : <?= $challan_List ?> <br /> Challan Date : <?php if ($max_challan_date != '') { ?>
                                                                    <?= date('F j Y', strtotime($max_challan_date)) ?>
                                                                    <?php } else { ?><?php } ?></td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table border="0" cellpadding="0" cellspacing="0" class="prdtMainTbl" id="ProdTbl" width="100%">
                                    <thead>
                                        <tr style="background-color:#CCC;">
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="4%">S.NO</td>
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="40%">ITEM</td>
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="5%">HSN/SAC</td>
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="5%">BRAND</td>
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="4%">QTY</td>
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="7%">UNIT PRICE</td>
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="7%">ITEM TOTAL</td>
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="5%">DISCOUNT</td>
                                            <td class="allpad topline bottomline rightline center bold" rowspan="2" width="7%">TAXABLE AMT</td>
                                            <td class="allpad topline bottomline rightline center bold" colspan="2" width="6%">CGST</td>
                                            <td class="allpad topline bottomline rightline center bold" colspan="2" width="6%">SGST</td>
                                            <td class="allpad topline bottomline center bold" rowspan="2" width="10%">AMOUNT</td>
                                        </tr>
                                        <tr style="background-color:#CCC;">
                                            <td class="allpad bottomline rightline center bold" width="2%">%</td>
                                            <td class="allpad bottomline rightline center bold" width="4%">AMT</td>
                                            <td class="allpad bottomline rightline center bold" width="2%">%</td>
                                            <td class="allpad bottomline rightline center bold" width="4%">AMT</td>
                                        </tr>
                                    </thead>
                                    <tbody>


                                        <?php $total = 0;
                                        $count = 1;
                                        foreach ($products as $key => $value) {
                                            $check_product = Product::find()->where(['id' => $value->product_id])->one();
                                        ?>

                                            <tr>
                                                <td class="allpad rightline center top"><?= $count++ ?></td>
                                                <td class="allpad rightline top left"><?= Product::find()->where(['id' => $value->product_id])->one()->product_name ?><br /> </td>
                                                <td class="allpad rightline top left"><?= Product::find()->where(['id' => $value->product_id])->one()->hsn_sac_code ?></td>
                                                <td class="allpad rightline top center"><?= $value->description ?></td>
                                                <td class="allpad rightline top center"><?= $value->quantity ?></td>
                                                <td class="allpad rightline top left"><?= $value->unit_price ?></td>
                                                <td class="allpad rightline top right"><?= $value->price ?></td>
                                                <td class="allpad rightline top center"><?= $value->discount ?> <?= $value->discount_type ?></td>
                                                <td class="allpad rightline top right"><?php if ($value->discount_type == "FLAT") { ?>
                                                        <?= ($value->unit_price - $value->discount) * $value->quantity ?>
                                                    <?php } ?>
                                                    <?php if ($value->discount_type == "%") { ?>
                                                        <?= $value->price - (($value->price * $value->discount) / 100) ?>
                                                    <?php } ?>

                                                    <?php if ($value->discount_type == "") { ?>
                                                        <?= $value->price ?>
                                                    <?php } ?></td>
                                                <td class="allpad rightline top center"><?php
                                                                                        $tax_percent = AccountingTax::find()->select(['tax_rate'])->where(['accounting_tax_id' => $value->tax])->one()->tax_rate;
                                                                                        ?>
                                                    <?= $tax_percent / 2 ?>
                                                </td>
                                                <td class="allpad rightline top right"><?php
                                                                                        $tax_percent = AccountingTax::find()->select(['tax_rate'])->where(['accounting_tax_id' => $value->tax])->one()->tax_rate;
                                                                                        ?>

                                                    <?php if ($value->discount_type == "FLAT") { ?>
                                                        <?= ((($value->unit_price - $value->discount) * $value->quantity) * (($tax_percent) / 2)) / 100 ?>

                                                    <?php } ?>
                                                    <?php if ($value->discount_type == "%") { ?>
                                                        <?= ((($value->price - (($value->price * $value->discount) / 100)) * (($tax_percent) / 2)) / 100) ?>

                                                    <?php } ?>

                                                    <?php if ($value->discount_type == "") { ?>
                                                        <?= ((($value->price) * (($tax_percent) / 2)) / 100) ?>

                                                    <?php } ?>

                                                </td>
                                                <td class="allpad rightline top center"><?php
                                                                                        $tax_percent = AccountingTax::find()->select(['tax_rate'])->where(['accounting_tax_id' => $value->tax])->one()->tax_rate; ?>
                                                    <?= $tax_percent / 2 ?>
                                                </td>
                                                <td class="allpad rightline top right"><?php

                                                                                        $tax_percent = AccountingTax::find()->select(['tax_rate'])->where(['accounting_tax_id' => $value->tax])->one()->tax_rate;
                                                                                        ?>

                                                    <?php if ($value->discount_type == "FLAT") { ?>
                                                        <?= ((($value->unit_price - $value->discount) * $value->quantity) * (($tax_percent) / 2)) / 100 ?>

                                                    <?php } ?>
                                                    <?php if ($value->discount_type == "%") { ?>
                                                        <?= ((($value->price - (($value->price * $value->discount) / 100)) * (($tax_percent) / 2)) / 100) ?>

                                                    <?php } ?>

                                                    <?php if ($value->discount_type == "") { ?>
                                                        <?= ((($value->price) * (($tax_percent) / 2)) / 100) ?>

                                                    <?php } ?>

                                                </td>


                                                <td class="allpad right top">
                                                    <?php if ($value->tax_included == 1) {
                                                        echo $value->amount;
                                                        $tot = 0;
                                                    } else {
                                                        if ($value->discount_type == "FLAT") {
                                                            $tot =  $value->amount + ((($value->unit_price - $value->discount) * $value->quantity) * $tax_percent) / 100;
                                                            echo  $value->amount + ((($value->unit_price - $value->discount) * $value->quantity) * $tax_percent) / 100;
                                                        }
                                                        if ($value->discount_type == "%") {
                                                            $tot = $value->amount + ((($value->price - (($value->price * $value->discount) / 100)) * $tax_percent) / 100);
                                                            echo  $value->amount + ((($value->price - (($value->price * $value->discount) / 100)) * $tax_percent) / 100);
                                                        }

                                                        if ($value->discount_type == "") {
                                                            $tot = $value->amount + ((($value->price) * $tax_percent) / 100);
                                                            echo $value->amount + ((($value->price) * $tax_percent) / 100);
                                                        }
                                                    }
                                                    ?>
                                                </td>
                                            </tr>

                                        <?php $total = $total + $tot;
                                        } ?>




                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <td class='allpad bottomline topline rightline center top' style=''></td>
                                            <td class='allpad bottomline topline rightline top left' style=''><b>Sub Total</b></td>
                                            <td class='allpad bottomline topline rightline top left' style=''></td>
                                            <td class='allpad bottomline topline rightline top center' style=''></td>
                                            <td class='allpad bottomline topline rightline top center' style=''><?= $total_product ?></td>
                                            <td class='allpad bottomline topline rightline top left' style=''></td>
                                            <td class='allpad bottomline topline rightline top right' style=''><?= $actual_amount ?></td>
                                            <td class='allpad bottomline topline rightline top center' style=''></td>
                                            <td class='allpad bottomline topline rightline top right' style=''><?= $taxable_amount ?></td>
                                            <td class='allpad bottomline topline rightline top center' style=''></td>
                                            <td class='allpad bottomline topline rightline top right' style=''><?= number_format($total_tax, 2) ?></td>
                                            <td class='allpad bottomline topline rightline top center' style=''></td>
                                            <td class='allpad bottomline topline rightline top right' style=''><?= number_format($total_tax, 2) ?></td>
                                            <?php if (isset($value->tax_included) && ($value->tax_included == 1)) { ?>
                                                <td class='allpad bottomline topline right top' style=''><?= $final_total ?></td>
                                            <?php } else { ?>
                                                <td class='allpad bottomline topline right top' style=''><?= $total ?></td>
                                            <?php } ?>
                                        </tr>
                                        <tr>
                                            <td colspan="13" class="bottomline rightline allpad right"><b>OUTPUT SGST -</b></td>
                                            <td class="bottomline allpad right"><b><?= number_format($total_tax, 2) ?></b></td>
                                        </tr>
                                        <tr>
                                            <td colspan="13" class="bottomline rightline allpad right"><b>OUTPUT CGST - </b></td>
                                            <td class="bottomline allpad right"><b><?= number_format($total_tax, 2) ?></b></td>
                                        </tr>
                                        <tr>
                                            <td class="bottomline rightline allpad right" colspan="13"><b>TCS (Rs)</b></td>
                                            <td class="bottomline allpad right"><b><?php if ($model->is_tcs == 1) { ?>
                                                        <?= $model->tcs_amount ?>
                                                    <?php } else { ?>
                                                        <?= 0.00 ?>
                                                    <?php } ?></b></td>
                                        </tr>
                                        <tr>
                                        <tr>
                                            <td class="bottomline rightline allpad right" colspan="13"><b>Round Off (Rs)</b></td>
                                            <td class="bottomline allpad right"><b><?php if ($model->round_off_amount) { ?>
                                                        <?= $model->round_off_amount ?>
                                                    <?php } else { ?>
                                                        <?= 0.00 ?>
                                                    <?php } ?></b></td>
                                        </tr>
                                        <tr>
                                            <td class="bottomline rightline allpad" colspan="11">Amount in words :<br /> <b><?= $get_amount ?>(INR) Only</b></td>
                                            <td class="bottomline rightline right allpad" colspan="2"><b>Total (Rs)</b></td>
                                            <td class="bottomline right"><b><?= preg_replace("/(\d+?)(?=(\d\d)+(\d)(?!\d))(\.\d+)?/i", "$1,", $model->total_price) ?></b></td>
                                        </tr>
                                    </tfoot>
                                </table>
                            </td>
                        </tr>
                        
                        
                        <tr>
                            <td>
                                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                    <tbody>
                                        <tr>
                                            <td class="rightline bottomline allpad" valign="top" width="25%">
                                            <div style="text-align:center;"><strong>E Invoice QR Code Image</strong></div></br>
                                                     <img src="data:image/png;base64,<?= $invoice->qr_img ?>" alt="QR Code" style="width: 170px; margin-left: 25%;">
                                             </td>
                                            <td class="rightline bottomline allpad" valign="top" width="25%">
                                                <div style="text-align:center;"><strong>UPI Details</strong></div></br>
                                                <img height="150" src='<?= Url::base() ?>/qr_codes/<?= $template->qr_code ?>' style="display: block; margin: auto;" />
                                            </td>
                                            <td align="right" class="bottomline right allpad"><br /> <img border="0" height="110" src="<?= Url::base() ?>/template_seals/<?= $template->company_seal ?>" /><br /> <b style=""><?= $template->company_signature ?></b><br /> (Authorized Signatory)</td>
                                        </tr>
                                         <tr>
                                         <td class="rightline bottomline allpad" valign="top" width="25%">
                                         <strong style="margin: 0 0.3rem;">E Invoice Details</strong>
                                                <ul type="disc" style= "padding-inline-start: 20px;" >
                                                    <li>Irn - <?= $invoice->irn  ?></li>
                                                    <li>Acknowledgement Number - <?= $invoice->ack_no ?></li>
                                                    <li>Acknowledgement Date - <?= $invoice->ack_dt ?></li>
                                                </ul>
                                         </td>

                                            <td class="rightline bottomline allpad" valign="top" width="5%">
                                                <strong style="margin: 0 0.3rem;">Bank Details</strong>
                                                <ul type="disc" style= "padding-inline-start: 20px;" >
                                                    <li>BANK - <?= $template->bank_name  ?></li>
                                                    <li>ACCOUNT HOLDER - <?= $template->account_holder ?></li>
                                                    <li>ACCOUNT NUMBER - <?= $template->acc_no ?></li>
                                                    <li>IFSC CODE - <?= $template->ifsc_code ?></li>
                                                </ul>
                                            </td>
                                            <td class="rightline bottomline allpad for-terms" valign="top" width="25%">
                                                <strong style="margin: 0 0.3rem;">Terms and conditions :</strong>
                                               <?= $template->terms_and_condition ?>
                                               
                                    
                                            </td>
                                        </tr>

                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        
                        
                        
                        <!-- <tr>
                            <td>
                                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                    <tbody>
                                        <tr>
                                            <td class="rightline bottomline allpad" valign="top" width="25%">
                                                <strong>Terms and conditions :</strong>
                                                <?= $template->terms_and_condition ?>
                                            </td>
                                            <td class="rightline bottomline allpad" valign="top" width="5%">
                                                <strong>Bank Details</strong>
                                                <ul type="disc">
                                                    <li>BANK - <?= $template->bank_name  ?></li>
                                                    <li>ACCOUNT HOLDER - <?= $template->account_holder ?></li>
                                                    <li>ACCOUNT NUMBER - <?= $template->acc_no ?></li>
                                                    <li>IFSC CODE - <?= $template->ifsc_code ?></li>
                                                </ul>
                                            </td>
                                        </tr>

                                        <tr>

                                            <td class="rightline bottomline allpad" valign="top" width="5%">
                                                <strong>E Invoice</strong>
                                                <ul type="disc">
                                                    <li>Irn - <?= $invoice->irn  ?></li>
                                                    <li>Acknowledgement Number - <?= $invoice->ack_no ?></li>
                                                    <li>Acknowledgement Date - <?= $invoice->ack_dt ?></li>


                                                </ul>
                                                <p style="display: flex; align-items: center;"><strong>QR Code Image:</strong>
                                                    <img src="data:image/png;base64,<?= $invoice->qr_img ?>" alt="QR Code" style="width: 170px;">
                                                </p>
                                            </td>

                                            <td class="rightline bottomline allpad" valign="top" width="25%">
                                                <div style="text-align:center;"><strong>UPI Details</strong></div></br>
                                                <img height="150" src='<?= Url::base() ?>/qr_codes/<?= $template->qr_code ?>' style="display: block; margin: auto;" />
                                            </td>
                                            <td align="right" class="bottomline right allpad"><br /> <img border="0" height="110" src="<?= Url::base() ?>/template_seals/<?= $template->company_seal ?>" /><br /> <b style=""><?= $template->company_signature ?></b><br /> (Authorized Signatory)</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr> -->
                    </tbody>
                </table>
            </div>
        </div>


    <?php } ?>

</body>

</html>
<!--</td>
</tr>
</table>
</td>
</tr>
</table>